Index: trunk/gsdl/macros/gaelic.dm
===================================================================
--- trunk/gsdl/macros/gaelic.dm	(revision 11740)
+++ trunk/gsdl/macros/gaelic.dm	(revision 11741)
@@ -437,8 +437,8 @@
 _textwordends_ [l=gd] {Deireadh fhaclan:
 }  # Updated 18-Feb-2006
-_textstem_ [l=gd] {Leig seachad deireidhean facail}  # Updated 3-Feb-2006
-_textnostem_ [l=gd] {feumaidh am faclan slÃ n a bhith co-ionnan}  # Updated 18-Feb-2006
-_textprefop_ [l=gd] {Thoir dhomh gu ruige  _maxdocoption_ builean le _hitsperpageoption_ builean air gach duilleag.
-}  # Updated 18-Feb-2006
+_textstem_ [l=gd] {Leig seachad deireidhean facal}  # Updated 25-Apr-2006
+_textnostem_ [l=gd] {feumaidh am facal slÃ n a bhith co-ionnan}  # Updated 25-Apr-2006
+_textprefop_ [l=gd] {Thoir dhomh gu ruige  _maxdocoption_ buillean le _hitsperpageoption_ buillean air gach duilleig.
+}  # Updated 25-Apr-2006
 _textextlink_ [l=gd] {Slighe gu lÃ raich-lÃ¬n a-muigh}  # Updated 3-Feb-2006
 _textintlink_ [l=gd] {SgrÃ¬bohainnean prÃ¬omhach air fhaighinn bho:}  # Updated 3-Feb-2006
@@ -449,5 +449,5 @@
 _textquerymode_ [l=gd] {Modh ceiste :}  # Updated 3-Feb-2006
 _textsimplemode_ [l=gd] {Modh ceiste shÃ¬mplidh}  # Updated 18-Feb-2006
-_textadvancedmode_ [l=gd] {Modh ceiste adhartach (a' ceadachadh lorg boolean a' cleachdadh !, &, |, agus bracaidean)}  # Updated 3-Feb-2006
+_textadvancedmode_ [l=gd] {Modh ceiste adhartaich (a' ceadachadh lorg boolean a' cleachdadh !, &, |, agus bracaidean)}  # Updated 25-Apr-2006
 _textlinkinterm_ [l=gd] {troimh dhuilleag mheadhonach}  # Updated 18-Feb-2006
 _textlinkdirect_ [l=gd] {rach dÃ¬reach an sin}  # Updated 17-Feb-2006
@@ -477,5 +477,5 @@
 _textregbox_ [l=gd] {bocsa ceiste Ã bhaistich
 }  # Updated 18-Feb-2006
-_textbigbox_ [l=gd] {bocsa ceiste mÃ³r}  # Updated 3-Feb-2006
+_textbigbox_ [l=gd] {bocsa ceiste mhÃ³i}  # Updated 25-Apr-2006
 _textformtype_ [l=gd] {SeÃ²rsa de chruth:}  # Updated 17-Feb-2006
 _textsimple_ [l=gd] {sÃ¬mplidh}  # Updated 3-Feb-2006
@@ -669,4 +669,5 @@
 _textdefaultlongtext_ [l=gd] {<p>Put air a' phutan <i>neo-aithnichte</i> foillseachaidhean a sgrÃ¹daich (bidh an clÃ r air a chur ann an ordugh le raon neo-ainmichte).  }  # Updated 18-Feb-2006
 
+
 _texthelptopicstitle_ [l=gd] {CÃ¹isean}
 
@@ -674,6 +675,5 @@
 }  # Updated 17-Feb-2006
 
-_texthelpreadingdocs_ [l=gd] {
-<p>Bidh fios agad nuair a ruigeas tu leahbar no sgrÃ¬obhainn, oir nochdaidh a thiotal no dealbh a' chomhdaich aig ceann na duilleige, air an taobh clÃ¬. Ann an cuid co-chruinneachaidhean, nochaidh cuideachd clÃ r-innsidh; ann an cuid eile, nochdaidh aireamh na duilleige far a bheil thu, cÃ²mhla ri bocsa a leigeas leat duilleag Ã¹r thaghadh, no leigeas leat dol air adhart no air ais.  Anns a' clÃ r-innsidh, bidh an roinn gnÃ thach air comharrachadh, agus 's urrainn dhut an clÃ r leudachadh -- put air na pasgannan 'gan fhosgladh no 'gan dhuineadh; put air an leabhar fostgailte shuas 'ga dhuineadh.</p>
+_texthelpreadingdocs_ [l=gd] {<p>Bidh fios agad nuair a ruigeas tu leahbar no sgrÃ¬obhainn, oir nochdaidh a thiotal no dealbh a' chomhdaich aig ceann na duilleige, air an taobh clÃ¬. Ann an cuid co-chruinneachaidhean, nochaidh cuideachd clÃ r-innsidh; ann an cuid eile, nochdaidh aireamh na duilleige far a bheil thu, cÃ²mhla ri bocsa a leigeas leat duilleag Ã¹r thaghadh, no leigeas leat dol air adhart no air ais.  Anns a' clÃ r-innsidh, bidh an roinn gnÃ thach air comharrachadh, agus 's urrainn dhut an clÃ r leudachadh -- put air na pasgannan 'gan fhosgladh no 'gan dhuineadh; put air an leabhar fostgailte shuas 'ga dhuineadh.</p>
 
 <p>Fo sin gheibhear teacs an roinn gnÃ thach. Nuair a bhios thu air a leughadh, bidh saighdean aig a' bhun a bheireas tu gu an ath roinn no air ais do 'n roinn mu dheireadh.</p>
@@ -682,8 +682,18 @@
 }
 
+# help about the icons
+# -- Missing translation: _texthelpopenbookshelf_
+# -- Missing translation: _texthelpopenbook_
+# -- Missing translation: _texthelpviewtextsection_
+# -- Missing translation: _texthelpexpandtext_
+# -- Missing translation: _texthelpexpandcontents_
+# -- Missing translation: _texthelpdetachpage_
+# -- Missing translation: _texthelphighlight_
+# -- Missing translation: _texthelpsectionarrows_
+
+
 _texthelpsearchingtitle_ [l=gd] {Ciamar a lorg faclan Ã raid}
 
-_texthelpsearching_ [l=gd] {
-<p>
+_texthelpsearching_ [l=gd] {<p>
   Bho 'n duilleag luirg, gabhaidh ceist a dheanamh mar a leanas:<p>
   
@@ -701,6 +711,5 @@
 
 _texthelpquerytermstitle_ [l=gd] {Teirmean luirg}
-_texthelpqueryterms_ [l=gd] {
-<p>Chithear rud sam bith a chuireas tu anns a' bocsa ceiste sreath fhaclan ris an cante "teirmean luirg."  Chan eil anns gach teirm ach litrichean agus meuran-aireamh. Bidh teirmean air an dealachadh le Ã ite geal. Ma nochdas caractaran eile, mar puingeachadh, dealachaidh iad teirmean dÃ¬reach mar Ã itean geala. As deidh sin, leigear iad seachad. Chan urrainn dhut faclan lorg anns a' bheil puingeachadh.
+_texthelpqueryterms_ [l=gd] {<p>Chithear rud sam bith a chuireas tu anns a' bocsa ceiste sreath fhaclan ris an cante "teirmean luirg."  Chan eil anns gach teirm ach litrichean agus meuran-aireamh. Bidh teirmean air an dealachadh le Ã ite geal. Ma nochdas caractaran eile, mar puingeachadh, dealachaidh iad teirmean dÃ¬reach mar Ã itean geala. As deidh sin, leigear iad seachad. Chan urrainn dhut faclan lorg anns a' bheil puingeachadh.
 
 <p>Mar eisimpleir, bidh a' cheist<p>
@@ -711,7 +720,5 @@
 
 _texthelpquerytypetitle_ [l=gd] {SeÃ²rsa ceiste}
-_texthelpquerytype_ [l=gd] {
-
-<p>Tha dÃ  sheÃ²rsa ceist ann.
+_texthelpquerytype_ [l=gd] {<p>Tha dÃ  sheÃ²rsa ceist ann.
 
 <ul>
@@ -732,11 +739,9 @@
 _textdatesearch_ [l=gd] {A' lorg le cinn-latha}  # Updated 3-Feb-2006
 
-_texthelpdatesearch_ [l=gd] {
-Leigidh lorg cinn-latha leat sgrÃ¬obhainnean fhaighinn a sheisich do theirmean luirg agus air tachartasan bho Ã m Ã raid.  'S urrainn dhut sgrÃ¬obhainnean lorg bho bhliadhna Ã raid no bho shreath bhliadhnaichean.  Mothaich nach eil feum agad teirmean luirg chleachdadh -- 's urrainn dhut lorg le ceann-latha a-mhain; mothaich cuideachd nach eil feum agad cinn-latha chleachdadh anns do lorg, mura cuir thu cinn-latha ann, bhiodh e mar nach biodh an lorg cinn-latha ann idir.<p>
+_texthelpdatesearch_ [l=gd] {Leigidh lorg cinn-latha leat sgrÃ¬obhainnean fhaighinn a sheisich do theirmean luirg agus air tachartasan bho Ã m Ã raid.  'S urrainn dhut sgrÃ¬obhainnean lorg bho bhliadhna Ã raid no bho shreath bhliadhnaichean.  Mothaich nach eil feum agad teirmean luirg chleachdadh -- 's urrainn dhut lorg le ceann-latha a-mhain; mothaich cuideachd nach eil feum agad cinn-latha chleachdadh anns do lorg, mura cuir thu cinn-latha ann, bhiodh e mar nach biodh an lorg cinn-latha ann idir.<p>
 }
 
 _texthelpdatehowtotitle_ [l=gd] {Ciamar a chleachdadh an goireas seo:}
-_texthelpdatehowto_ [l=gd] {
-<ul>
+_texthelpdatehowto_ [l=gd] {<ul>
    <li>A lorg sgrÃ¬obhainnean mu aon bhliadhna :<p>
    <ul>
@@ -757,27 +762,22 @@
 
 _texthelpdateresultstitle_ [l=gd] {Ciamar a dh' obraicheas toradh do luirg}
-_texthelpdateresults_ [l=gd] {
-Chan fhaigh lorg airson sgrÃ¬obhainnean mu bhliadhna 1903 sgrÃ¬obhainnean anns a bheil iomradh air leabhraichean sgrÃ¬obhte ann an 1903, can, ach dÃ¬reach sgrÃ¬obhainnean mu 1903. Ach, leis mar a tha cinn-latha na sgrÃ¬obhainnean air an lorg, gheibhear sgrÃ¬obhainnean aig a bheil sreath cinn-latha (mar eisimpleir 1899-1911) anns a nochdadh 1903, agus cuideachd na sgrÃ¬obhainnean aig a bheil ainm teacsa leis ainm an lÃ¬nn anns a bheil 1903 (mar eisimpleir 20mh lÃ¬nn no ficheadamh lÃ¬nn). Tha sin a' ciallachadh gu bheil ann an cuid de na sgrÃ¬obhainnean, cha nochd cinn-latha do luirg ann an teacs an sgrÃ¬obhainn fhÃšin. Tha sin fÃ¬or airson gach ceann-latha ann an lorg sreath cinn-latha.<p>
+_texthelpdateresults_ [l=gd] {Chan fhaigh lorg airson sgrÃ¬obhainnean mu bhliadhna 1903 sgrÃ¬obhainnean anns a bheil iomradh air leabhraichean sgrÃ¬obhte ann an 1903, can, ach dÃ¬reach sgrÃ¬obhainnean mu 1903. Ach, leis mar a tha cinn-latha na sgrÃ¬obhainnean air an lorg, gheibhear sgrÃ¬obhainnean aig a bheil sreath cinn-latha (mar eisimpleir 1899-1911) anns a nochdadh 1903, agus cuideachd na sgrÃ¬obhainnean aig a bheil ainm teacsa leis ainm an lÃ¬nn anns a bheil 1903 (mar eisimpleir 20mh lÃ¬nn no ficheadamh lÃ¬nn). Tha sin a' ciallachadh gu bheil ann an cuid de na sgrÃ¬obhainnean, cha nochd cinn-latha do luirg ann an teacs an sgrÃ¬obhainn fhÃšin. Tha sin fÃ¬or airson gach ceann-latha ann an lorg sreath cinn-latha.<p>
 }  # Updated 17-Feb-2006
 
 _textchangeprefs_ [l=gd] {Ag atharrachadh do roghainnean}  # Updated 3-Feb-2006
 
-_texthelppreferences_ [l=gd] {
-<p>Nuair a phutas thu am putan <i>roghainnean</i> aig ceann na duileige, 's urrainn dhut cuid de goireasan eadar-aghaidh atharrachadh a rÃ©ir do riatasan.
+_texthelppreferences_ [l=gd] {<p>Nuair a phutas thu am putan <i>roghainnean</i> aig ceann na duileige, 's urrainn dhut cuid de goireasan eadar-aghaidh atharrachadh a rÃ©ir do riatasan.
 }
 
 _texthelpcollectionprefstitle_ [l=gd] {Roghainnean cho-chruinneachaidh}
-_texthelpcollectionprefs_ [l=gd] {
-Tha co-chruinneachaidhean ann a tha air an deanamh le iomadh fo-chruinneachaidhean, a gabhadh lorg leotha fhÃ©in no ri chÃšile, mar ionad. Ma bhios thu airson sin a dheanamh, 's urrainn dhut fo-chruinneachaidhean taghadh a chumail anns do lorgan air an Duilleag roghainnean.
+_texthelpcollectionprefs_ [l=gd] {Tha co-chruinneachaidhean ann a tha air an deanamh le iomadh fo-chruinneachaidhean, a gabhadh lorg leotha fhÃ©in no ri chÃšile, mar ionad. Ma bhios thu airson sin a dheanamh, 's urrainn dhut fo-chruinneachaidhean taghadh a chumail anns do lorgan air an Duilleag roghainnean.
 }
 
 _texthelplanguageprefstitle_ [l=gd] {Roghainnean chÃ nain}
-_texthelplanguageprefs_ [l=gd] {
-Tha cÃ nan taisbeanadh tuiseil aig gach co-chruinneachadh, ach 's urrainn dhut atharrachadh do chÃ nan eile ma thogras tu. 'S urrainn dhut an innleachd chÃ²d cleachdte le Greenstone atharrachadh cuideachd, a dh'atharrachadh cur-a-mach do 'n sealladair -- taghaidh am bathar-bog roimh-suidheachaidhean freagarrach, ach le cuid shealladairean gheibhear builean fradharcach nas fheÃ rr le atharrachadh gu innleachd chÃ²d eile. 'S urrainn dhut atharrachadh bho 'n eadar-aghaidh grafail suidhichte gu eadar-aghaidh teacsail ann an co-chruinneachadh sam bith. Tha sin feumail gu h-Ã raidh do luchd-cleachdaidh le ciorram fradharach a chleachdadh litrichean-sgÃ il mÃ³ra no innealan-cainnt airson cur-a-mach. 
+_texthelplanguageprefs_ [l=gd] {Tha cÃ nan taisbeanadh tuiseil aig gach co-chruinneachadh, ach 's urrainn dhut atharrachadh do chÃ nan eile ma thogras tu. 'S urrainn dhut an innleachd chÃ²d cleachdte le Greenstone atharrachadh cuideachd, a dh'atharrachadh cur-a-mach do 'n sealladair -- taghaidh am bathar-bog roimh-suidheachaidhean freagarrach, ach le cuid shealladairean gheibhear builean fradharcach nas fheÃ rr le atharrachadh gu innleachd chÃ²d eile. 'S urrainn dhut atharrachadh bho 'n eadar-aghaidh grafail suidhichte gu eadar-aghaidh teacsail ann an co-chruinneachadh sam bith. Tha sin feumail gu h-Ã raidh do luchd-cleachdaidh le ciorram fradharach a chleachdadh litrichean-sgÃ il mÃ³ra no innealan-cainnt airson cur-a-mach. 
 }
 
 _texthelppresentationprefstitle_ [l=gd] {Roghainnean taisbeanaidh}
-_texthelppresentationprefs_ [l=gd] {
-A rÃšir an co-chruinneachadh, dh' fhaodadh a bhith iomadh roghainn gun urrainn dhut stÃšideachadh gus an taisbeanadh a riaghladh.
+_texthelppresentationprefs_ [l=gd] {A rÃšir an co-chruinneachadh, dh' fhaodadh a bhith iomadh roghainn gun urrainn dhut stÃšideachadh gus an taisbeanadh a riaghladh.
 
 <p>Leigidh co-chruinneachaidhean duilleagan an lÃ¬n leat an "navigation bar" Greenstone aig ceann gach duilleag sgrÃ¬obhainn a chumail fodha, 's mar sin nuair a tha thu air lorg a rinn ruigidh tu aig an dearbh duilleag lÃ¬n a sheisich gun cheann-sgrÃ¬obhaidh Greenstone sam bith. Feumaidh tu putan "back" do shealladar chleachdadh lorg eile a dheanamh. Leigidh na co-chruinneachaidhean seo leat cuideachd an teachdaireachd rabhaidh Greenstone a chumail fodha nuair a phutas tu air ceangal a bheireas tu a-mach as a' cho-chruinneachadh leabharlainn digiteach agus a-steach do 'n lÃ¬n-fhÃ©in. 'S urrainn dhut riaghladh ann an cuid cho-chruinneachaidhean-lÃ¬n am bheir na ceangail air an duilleag "Search results" thu dÃ¬reach do 'n URL-fhÃ©in, an Ã ite do leth-breach na duilleige aig an leabharlann digiteach.
@@ -785,6 +785,5 @@
 
 _texthelpsearchprefstitle_ [l=gd] {Roghainnean luirg}
-_texthelpsearchprefs_ [l=gd] {
-<p>Bidh dÃ  phaidhir phutain a' riaghladh an seÃ²rsa seiseachadh-teacs anns na lorgan a nÃ¬ thu. Tha a' cheud bhuidheann ("eadar-dhealachaidhean tuiseil") a' riaghladh gun fheum no nach fheum tuiseil uachrach agus iochrach a bhith co-ionnan. Tha an darna bhuidheann ("deireidhean facail") a' riaghladh an leigeadh seachad deireidhean facail. Gabhaidh bocsa ceiste mÃ³r fhaighinn; mar sin, 's urrainn dhut earranan teacsa lorg. Gabhaidh meud mÃ³r de teacs a lorg gu luath. 
+_texthelpsearchprefs_ [l=gd] {<p>Bidh dÃ  phaidhir phutain a' riaghladh an seÃ²rsa seiseachadh-teacs anns na lorgan a nÃ¬ thu. Tha a' cheud bhuidheann ("eadar-dhealachaidhean tuiseil") a' riaghladh gun fheum no nach fheum tuiseil uachrach agus iochrach a bhith co-ionnan. Tha an darna bhuidheann ("deireidhean facail") a' riaghladh an leigeadh seachad deireidhean facail. Gabhaidh bocsa ceiste mÃ³r fhaighinn; mar sin, 's urrainn dhut earranan teacsa lorg. Gabhaidh meud mÃ³r de teacs a lorg gu luath. 
 <p>Mar eisimpleir, ma bhios na putannan <i>Leig seachad eadar-dhealachaidhean tuiseil</i> agus
 <i>leig seachad deireidhran-facail</i> taghte, bidh a' cheist<p>
@@ -802,6 +801,5 @@
 
 _texthelpscopetitle_ [l=gd] {Meud cheistean}
-_texthelpscope_ [l=gd] {
-<p>
+_texthelpscope_ [l=gd] {<p>
 Anns a' chuid as motha de na co-chruinneachaidhean, 's urrainn dhut taghadh eadar clÃ ran-amais eadar-dhealaichte a lorg. Mar eisempleir, 's docha gum biodh clÃ ran-amais Ã¹dhdair no thiotal ann, no clÃ ran-amais chabidil no earrann. Mar as Ã bhaist, gheibhear an sgrÃ¬obhainn co-ionnan gu lÃšir, ge bith dÃ© an clÃ r-amais a chleachd thu.
 <p>Ma 's e leabhraichean a th'ann an sgrÃ¬obhainnean, fhosgladh iad aig an Ã ite freagarrach.