Index: tags/gsdl-2_70u-distribution/gli/classes/dictionary.properties
===================================================================
--- trunk/gli/classes/dictionary.properties	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/classes/dictionary.properties	(revision 11745)
@@ -430,5 +430,4 @@
 WriteCDImagePrompt.Failed_Title:Export Failed
 WriteCDImagePrompt.Instructions:Export one or more collections to a self-installing Windows CD/DVD image (although this works on any platform, the CD/DVD image that is created only runs under Windows).
-WriteCDImagePrompt.Netscape_Compatibility:Bundle Netscape4 browser (and Netscape4 compatibility macros and images).
 WriteCDImagePrompt.Progress_Label:Copying Files. This could take some time...
 WriteCDImagePrompt.Size_Label:Estimated size: 
Index: tags/gsdl-2_70u-distribution/gli/classes/xml/config.xml
===================================================================
--- trunk/gli/classes/xml/config.xml	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/classes/xml/config.xml	(revision 11745)
@@ -28,5 +28,5 @@
 ]>
 
-<Configuration version="2.70">
+<Configuration version="2.70u">
   <GathererConfig>
     <!-- ***** General Options: apply globally to the GLI execution. ***** -->
Index: tags/gsdl-2_70u-distribution/gli/classes/xml/configRemote.xml
===================================================================
--- trunk/gli/classes/xml/configRemote.xml	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/classes/xml/configRemote.xml	(revision 11745)
@@ -28,5 +28,5 @@
 ]>
 
-<Configuration version="2.70">
+<Configuration version="2.70u">
   <GathererConfig>
     <!-- ***** General Options: apply globally to the GLI execution. ***** -->
Index: tags/gsdl-2_70u-distribution/gli/classes/xml/languages.xml
===================================================================
--- trunk/gli/classes/xml/languages.xml	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/classes/xml/languages.xml	(revision 11745)
@@ -40,6 +40,6 @@
    <Language name="CAMBODIAN"           code="KM">ASIAN</Language>
    <Language name="CATALAN"             code="CA">ROMANCE</Language>
-   <Language name="CHINESE-SIMPLIFIED"  code="CN" gs="true" mds="true">ASIAN</Language>
-   <Language name="CHINESE-TRADITIONAL" code="ZH" gs="true">ASIAN</Language>
+   <Language name="CHINESE-SIMPLIFIED"  code="ZH" gs="true" mds="true">ASIAN</Language>
+   <Language name="CHINESE-TRADITIONAL" code="ZH-TR" gs="true">ASIAN</Language>
    <Language name="CORSICAN"            code="CO">ROMANCE</Language>
    <Language name="CROATIAN"            code="HR" gs="true">SLAVIC</Language>
@@ -63,9 +63,9 @@
    <Language name="GUJARATI"            code="GU">INDIAN</Language>
    <Language name="HAUSA"               code="HA">NEGRO-AFRICAN</Language>
-   <Language name="HEBREW"              code="IW" gs="true">SEMITIC [*Changed back from HE in 2003 by us. Not valid iso639, HE]</Language>
+   <Language name="HEBREW"              code="HE" gs="true">SEMITIC</Language>
    <Language name="HINDI"               code="HI" gs="true">INDIAN</Language>
    <Language name="HUNGARIAN"           code="HU">FINNO-UGRIC</Language>
    <Language name="ICELANDIC"           code="IS">GERMANIC</Language>
-   <Language name="INDONESIAN"          code="ID" gs="true">OCEANIC/INDONESIAN [*Changed 1989 from original ISO 639:1988, IN]</Language>
+   <Language name="INDONESIAN"          code="ID" gs="true">OCEANIC/INDONESIAN</Language>
    <Language name="INTERLINGUA"         code="IA" mds="true">INTERNATIONAL AUX.</Language>
    <Language name="INTERLINGUE"         code="IE">INTERNATIONAL AUX.</Language>
@@ -78,5 +78,5 @@
    <Language name="KANNADA"             code="KN" gs="true">DRAVIDIAN</Language>
    <Language name="KASHMIRI"            code="KS">INDIAN</Language>
-   <Language name="KAZAKH"              code="KZ" gs="true">TURKIC/ALTAIC [*Changed 2003 by us. Not valid iso639, KK]</Language>
+   <Language name="KAZAKH"              code="KK" gs="true">TURKIC/ALTAIC</Language>
    <Language name="KINYARWANDA"         code="RW">NEGRO-AFRICAN</Language>
    <Language name="KIRGHIZ"             code="KY">TURKIC/ALTAIC</Language>
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/GathererApplet.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/GathererApplet.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/GathererApplet.java	(revision 11745)
@@ -113,5 +113,5 @@
 	Gatherer.isApplet = true;
 	String library_url_string = fullLibraryURL(getParameter("gwcgi"));
-	String gliserver_url_string = library_url_string.substring(0, library_url_string.lastIndexOf('/') + 1) + "gliserver";
+	String gliserver_url_string = library_url_string.substring(0, library_url_string.lastIndexOf('/') + 1) + "gliserver.pl";
 
         // String debug_param = getParameter("debug");
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/file/FileManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/file/FileManager.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/file/FileManager.java	(revision 11745)
@@ -111,8 +111,4 @@
 		// Is this the "Downloaded Files" folder?
 		if (source_nodes[i].getFile().getAbsolutePath().startsWith(downloaded_files_folder_path)) {
-		    // Can only delete from the "Downloaded Files" folder if a collection is open
-		    if (Gatherer.c_man.ready() == false) {
-			return;
-		    }
 		    read_only_source = false;
 		}
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/file/FileQueue.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/file/FileQueue.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/file/FileQueue.java	(revision 11745)
@@ -372,13 +372,16 @@
 	File source_file = source_node.getFile();
 
-	// If we're deleting a metadata.xml file we must unload it
-	boolean metadata_xml_file = source_file.getName().equals(StaticStrings.METADATA_XML);
-	if (metadata_xml_file) {
-	    MetadataXMLFileManager.unloadMetadataXMLFile(source_file);
-	}
-	// Otherwise remove any metadata assigned directly to the file
-	else {
-	    ArrayList assigned_metadata = MetadataXMLFileManager.getMetadataAssignedDirectlyToFile(source_file);
-	    MetadataXMLFileManager.removeMetadata((CollectionTreeNode) source_node, assigned_metadata);
+	// Almost all files will be deleted from the collection tree (exception: files in "Downloaded Files")
+	if (source_node instanceof CollectionTreeNode) {
+	    // If we're deleting a metadata.xml file we must unload it
+	    boolean metadata_xml_file = source_file.getName().equals(StaticStrings.METADATA_XML);
+	    if (metadata_xml_file) {
+		MetadataXMLFileManager.unloadMetadataXMLFile(source_file);
+	    }
+	    // Otherwise remove any metadata assigned directly to the file
+	    else {
+		ArrayList assigned_metadata = MetadataXMLFileManager.getMetadataAssignedDirectlyToFile(source_file);
+		MetadataXMLFileManager.removeMetadata((CollectionTreeNode) source_node, assigned_metadata);
+	    }
 	}
 
@@ -698,5 +701,5 @@
 		synchronized(this) {
 		    // Force both workspace and collection trees to refresh
-		    if (Gatherer.g_man != null) {
+		    if (Gatherer.g_man != null && Gatherer.c_man.ready()) {
 			Gatherer.g_man.refreshWorkspaceTree(DragTree.COLLECTION_CONTENTS_CHANGED);
 			// Gatherer.g_man.refreshCollectionTree(DragTree.COLLECTION_CONTENTS_CHANGED);
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/ExportAsPrompt.java	(revision 11745)
@@ -297,12 +297,13 @@
 	command_parts_list.add(export_type);
 	command_parts_list.add("-exportdir");
-	command_parts_list.add(LocalGreenstone.getTmpDirectoryPath());
-
+	String export_dir = LocalGreenstone.getTmpDirectoryPath();
 	if (cd_title.equals("")) {
-	    command_parts_list.add("exported_" + export_type);
+	    export_dir += "exported_" + export_type;
 	}
 	else {
-	    command_parts_list.add("exported_" + cd_title.replaceAll("\\s", ""));
-	}
+	    export_dir += "exported_" + cd_title.replaceAll("\\s", "");
+	}
+	command_parts_list.add(export_dir);
+
 	
 	for (int i = 0; i < num_collections; i++) {
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/GatherPane.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/GatherPane.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/GatherPane.java	(revision 11745)
@@ -299,5 +299,4 @@
 	bin_button = new RecycleBin();
 	bin_button.addActionListener(this);
-	bin_button.setEnabled(false);
 	bin_button.setMinimumSize(MIN_SIZE);
 	bin_button.setPreferredSize(MIN_SIZE);
@@ -443,5 +442,4 @@
 	collection_tree.setEnabled(collection_loaded);
 	collection_filter.setEnabled(collection_loaded);
-	bin_button.setEnabled(collection_loaded);
 	new_folder.setEnabled(collection_loaded);
 
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/Preferences.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/Preferences.java	(revision 11745)
@@ -198,4 +198,7 @@
 	    Dictionary.registerTooltip(library_path_field, "Preferences.Connection.Library_Path_Tooltip");
 	}
+	// Disable this field when using the applet, as it is automatically determined
+	library_path_label.setEnabled(!Gatherer.isApplet);
+	library_path_field.setEnabled(!Gatherer.isApplet);
 
 	JPanel gliserver_url_pane = null;
@@ -214,4 +217,8 @@
 	    Dictionary.registerText(gliserver_url_label, "Preferences.Connection.GLIServer_URL");
 	    Dictionary.registerTooltip(gliserver_url_field, "Preferences.Connection.GLIServer_URL_Tooltip");
+
+	    // Disable this field when using the applet, as it is automatically determined
+	    gliserver_url_label.setEnabled(!Gatherer.isApplet);
+	    gliserver_url_field.setEnabled(!Gatherer.isApplet);
 	}
 
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/gui/WriteCDImagePrompt.java	(revision 11745)
@@ -89,11 +89,10 @@
     /** The text area used to display instructions for the cd-rom/dvd export */
     private JTextArea instructions_textarea;
-    /** A string array used to pass arguments to the phrase retrieval method. */
-    private JCheckBox netscape_checkbox = null;
-    JLabel netscape_label = null;
+
     private JTextField title_field = null;
     private JTextField estimated_size_field = null;
     private JLabel title_label = null;
     private JLabel estimated_size_label = null;
+    /** A string array used to pass arguments to the exportcol.pl script */
     private String args[] = null;
     private String cd_title = null;
@@ -104,9 +103,6 @@
     /** the error message if any */
     private StringBuffer error_message = null;
-    /** This is the size of the exported stuff on its own without 
-	netscape and no collections. */
-    private long total_exported_size = 16250000;
-    /** the size of netscape */
-    private long netscape_size = 16500000;
+    /** This is the size of the exported stuff on its own without collections. */
+    private long total_exported_size = 14000000;
     /** The size of the export prompt screen. */
     public static final Dimension SIZE = new Dimension(500, 500);
@@ -151,4 +147,8 @@
 	estimated_size_field = new JTextField();
 	estimated_size_field.setEditable(false);
+
+	// work out the size of the images directory - could be large if they
+	// have the classic interface pack installed
+	total_exported_size += getFileSize(new File(LocalGreenstone.getDirectoryPath()+File.separator+"images"));
 	estimated_size_field.setText(Utility.formatFileLength(total_exported_size));
 	estimated_size_field.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
@@ -156,9 +156,4 @@
 	Dictionary.setText(estimated_size_label, "WriteCDImagePrompt.Size_Label");
 
-	netscape_checkbox = new JCheckBox();
-	netscape_checkbox.addActionListener(new NetscapeCheckBoxListener());
-	netscape_label = new JLabel();
-	Dictionary.setText(netscape_label, "WriteCDImagePrompt.Netscape_Compatibility");
-	
 	scanForCollections();
 	list.setListData(all_collections);
@@ -178,8 +173,4 @@
 	//title.getDocument().addDocumentListener(new DocumentListener());
 
-	// work out the size of the extra images needed for netscape 4
-	// this assumes that they'll be installed (lang pack). 
-	//exportcol.pl will crap out if they are not.
-	netscape_size += getFileSize(new File(LocalGreenstone.getDirectoryPath()+File.separator+"images"));
     }
 
@@ -215,14 +206,5 @@
 	title_pane.add(title_label, BorderLayout.WEST);
 	title_pane.add(title_field, BorderLayout.CENTER);
-	//	instructions_pane.add(title_pane, BorderLayout.SOUTH);
-
-	JPanel netscape_pane = new JPanel(new BorderLayout());
-	netscape_pane.add(netscape_checkbox, BorderLayout.WEST);
-	netscape_pane.add(netscape_label, BorderLayout.CENTER);
-	
-	JPanel grid_pane = new JPanel(new GridLayout(2,1));
-	grid_pane.add(title_pane);
-	grid_pane.add(netscape_pane);
-	instructions_pane.add(grid_pane, BorderLayout.SOUTH);
+	instructions_pane.add(title_pane, BorderLayout.SOUTH);
 
 	// Central pane
@@ -312,9 +294,4 @@
 	cd_title = cd_title.trim();
 	cd_title = cd_title.replaceAll("\"","");
-
-	boolean use_netscape = false;
-	if (netscape_checkbox.isSelected()) {
-	    use_netscape = true;
-	}
 	
 	// Generate the exportcol.pl command
@@ -325,10 +302,4 @@
 	}
 	command_parts_list.add(LocalGreenstone.getBinScriptDirectoryPath() + "exportcol.pl");
-
-	//if (Gatherer.isGsdlRemote || !use_netscape) {
-	if (!use_netscape) {
-	    // now we allow remote users to use the netscape version
-	    command_parts_list.add("-nonetscape");
-	}
 
 	command_parts_list.add("-gli");
@@ -482,16 +453,4 @@
     }
 
-    private class NetscapeCheckBoxListener
-	implements ActionListener {
-	public void actionPerformed(ActionEvent e) {
-	    if (netscape_checkbox.isSelected()) {
-		total_exported_size += netscape_size;
-	    } else {
-		total_exported_size -= netscape_size;
-	    }
-	    // Update the size field
-	    estimated_size_field.setText(Utility.formatFileLength(total_exported_size));
-	}
-    }
     /** This private class listens for selection events in from the list and then displays the appropriate details for that collection.
      */
Index: tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/util/Utility.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/util/Utility.java	(revision 11574)
+++ tags/gsdl-2_70u-distribution/gli/src/org/greenstone/gatherer/util/Utility.java	(revision 11745)
@@ -83,5 +83,5 @@
     static final public String PROGRAM_NAME = "Greenstone Librarian Interface";
     /** The current version of the GLI. */
-    static final public String PROGRAM_VERSION = "v2.70";
+    static final public String PROGRAM_VERSION = "v2.70u";
     static final public String WORKSPACE_TREE = "Workspace";
 