Index: trunk/greenorg/macros/english.dm
===================================================================
--- trunk/greenorg/macros/english.dm	(revision 11758)
+++ trunk/greenorg/macros/english.dm	(revision 11773)
@@ -108,8 +108,4 @@
 _survey_ {
 Although the deadline has passed, it would still be helpful if you completed the <a href="_surveylink_">User Survey</a> form. Results of the survey will be posted here shortly.
-}
-
-_spanishusersgroup_ {
-There is now a Greenstone Spanish Users Group; more information <a href="http://greenstone.docunautica.com">here</a>.
 }
 
Index: trunk/greenorg/macros/french.dm
===================================================================
--- trunk/greenorg/macros/french.dm	(revision 11758)
+++ trunk/greenorg/macros/french.dm	(revision 11773)
@@ -69,6 +69,4 @@
 
 _survey_ [l=fr] {Bien que la date limite soit dÃ©jÃ  dÃ©passÃ©e, il serait encore utile  de complÃ©ter le questionnaire de<a href="_surveylink_">l'enquÃªte utilisateur </a>. Les rÃ©sultats de l'enquÃªte seront trÃ©s prochainement publiÃ©s ici.}
-
-_spanishusersgroup_ [l=fr] {Il y a maintenant un groupe d'utilisateur parlant espagnol de Greenstone; plus d'information <a href="http://greenstone.docunautica.com">ici</a>.}
 
 _t4_ [l=fr] {<a href="http://sourceforge.net/projects/greenstone/">TÃ©lÃ©chargez</a> Greenstone v2.41. Greenstone Librarian Interface (GLI), un frontend pour la fonctionnalitÃ© de construction de collection de Greenstone, facile Ã  utiliser, a Ã©tÃ© intensivement testÃ© et dÃ©boguÃ©. Si vous ne l'avez pas encore essayÃ©, c'est le bon moment de le faire (et si vous aviez rencontrÃ©  des problÃšmes avant, essayez SVP cette version). Greenstone 2.41 inclut aussi un nouveau plugin pour le trtaitement de bases de donnÃ©es CDS/ISIS, la possibilitÃ© d'exporter des collections multiples sur CD-ROM, et beaucoup d'autres corrections de bogues et amÃ©liorations.}
Index: trunk/greenorg/macros/home.dm
===================================================================
--- trunk/greenorg/macros/home.dm	(revision 11758)
+++ trunk/greenorg/macros/home.dm	(revision 11773)
@@ -15,8 +15,6 @@
 _newnoimg_(_home:cdrom260_)
 
-<!--_new_(_home:spanishusersgroup_)-->
-
 <p><a href="http://greenstonesupport.iimk.ac.in">_southasiasupport_</a><br>
-<a href="http://greenstone.docunautica.com">Grupo de Usuarios EspaÃ±oles de Greenstone</a>
+<a href="http://gsdl-esdoc.berlios.de">Grupo de Usuarios EspaÃ±oles de Greenstone</a>
     <br><a href="http://www.greenstone.fr">Greenstone en FranÃ§ais</a>
 </p>
Index: trunk/greenorg/macros/russian.dm
===================================================================
--- trunk/greenorg/macros/russian.dm	(revision 11758)
+++ trunk/greenorg/macros/russian.dm	(revision 11773)
@@ -80,6 +80,4 @@
 _survey_ [l=ru] {Ð¥ÐŸÑÑ ÐŽÐµÐŽÐ»Ð°Ð¹Ðœ ÑÐ¶Ðµ Ð¿ÑÐŸÑÐµÐ», ÐÑ Ð²ÑÐµ ÐµÑÐµ ÑÐŒÐŸÐ³Ð»Ðž Ð±Ñ ÐœÐ°ÐŒ Ð¿ÐŸÐŒÐŸÑÑ, Ð·Ð°Ð¿ÐŸÐ»ÐœÐžÐ² Ð°ÐœÐºÐµÑÑ <a href="_surveylink_">ÐŸÐ±ÑÐ»ÐµÐŽÐŸÐ²Ð°ÐœÐžÑ Ð¿ÐŸÑÑÐµÐ±ÐžÑÐµÐ»ÐµÐ¹</a>. Ð ÐµÐ·ÑÐ»ÑÑÐ°ÑÑ ÐŸÐ±ÑÐ»ÐµÐŽÐŸÐ²Ð°ÐœÐžÑ Ð±ÑÐŽÑÑ Ð²ÑÐºÐŸÑÐµ Ð·ÐŽÐµÑÑ ÐŸÐ¿ÑÐ±Ð»ÐžÐºÐŸÐ²Ð°ÐœÐœÑ.
 }
-
-_spanishusersgroup_ [l=ru] {Ð¡ÑÑÐµÑÑÐ²ÑÐµÑ ÐžÑÐ¿Ð°ÐœÑÐºÐ°Ñ Ð³ÑÑÐ¿Ð¿Ð° Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÐµÐ¹. Ð¡ÐŒ. <a href="http://greenstone.docunautica.com">Ð·ÐŽÐµÑÑ</a>}
 
 _t4_ [l=ru] {<a href="http://sourceforge.net/projects/greenstone/"> ÐÐ°Ð³ÑÑÐ·ÐžÑÑ </a> Greenstone v2.41. ÐÐžÐ±Ð»ÐžÐŸÑÐµÑÐœÑÐ¹ ÐžÐœÑÐµÑÑÐµÐ¹Ñ Greenstone (ÐÐÐ), Ð»ÐµÐ³ÐºÐŸÐµ Ð² ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÐœÐžÐž ÑÑÐœÐºÑÐžÐŸÐœÐ°Ð»ÑÐœÐŸÐµ ÑÑÐµÐŽÑÑÐ²ÐŸ Ð¿ÐŸÑÑÑÐŸÐµÐœÐžÑ ÐºÐŸÐ»Ð»ÐµÐºÑÐžÐ¹ Greenstone, Ð±ÑÐ» ÐžÐœÑÐµÐœÑÐžÐ²ÐœÐŸ Ð¿ÑÐŸÑÐµÑÑÐžÑÐŸÐ²Ð°Ðœ Ð¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÐµÐ»ÑÐŒÐž Ðž ÐŸÑÐ»Ð°Ð¶ÐµÐœ. ÐÑÐ»Ðž ÐÑ ÐµÑÐµ ÐœÐµ Ð¿ÑÐŸÐ±ÐŸÐ²Ð°Ð»Ðž ÐžÑÐ¿ÐŸÐ»ÑÐ·ÐŸÐ²Ð°ÑÑ ÐµÐ³ÐŸ, ÑÐµÐ¹ÑÐ°Ñ ÑÐ°ÐŒÐŸÐµ Ð²ÑÐµÐŒÑ ÑÐŽÐµÐ»Ð°ÑÑ ÑÑÐŸ (Ð° ÐµÑÐ»Ðž ÐŽÐŸ ÑÐŸÐ³ÐŸ Ñ ÐÐ°Ñ Ð²ÐŸÐ·ÐœÐžÐºÐ°Ð»Ðž Ð¿ÑÐŸÐ±Ð»ÐµÐŒÑ, Ð¿ÐŸÐ¶Ð°Ð»ÑÐ¹ÑÑÐ°, Ð¿ÐŸÐ¿ÑÐŸÐ±ÑÐ¹ÑÐµ ÑÑÑ ÐœÐŸÐ²ÑÑ Ð²ÐµÑÑÐžÑ). Greenstone 2.41 ÑÐ°ÐºÐ¶Ðµ Ð²ÐºÐ»ÑÑÐ°ÐµÑ ÐœÐŸÐ²ÑÐ¹ Ð¿Ð»Ð°Ð³ÐžÐœ ÐŽÐ»Ñ ÐŸÐ±ÑÐ°Ð±ÐŸÑÐºÐž Ð±Ð°Ð· ÐŽÐ°ÐœÐœÑÑ
Index: trunk/greenorg/macros/spanish.dm
===================================================================
--- trunk/greenorg/macros/spanish.dm	(revision 11758)
+++ trunk/greenorg/macros/spanish.dm	(revision 11773)
@@ -59,6 +59,4 @@
 
 _survey_ [l=es] {Aunque la fecha lÃ­mite ya se venciÃ³, todavÃ­a puede ser Ãºtil si usted completa la encuesta de usuario <a href="_surveylink_">. Los resultados de la encuesta se publicarÃ¡n aquÃ­ en breve}
-
-_spanishusersgroup_ [l=es] {Ya existe un grupo de usuarios de Greenstone en EspaÃ±ol; para mÃ¡s informaciÃ³n <a href="http://greenstone.docunautica.com">here</a>.}
 
 _t4_ [l=es] {<a href="http://sourceforge.net/projects/greenstone/">Bajar</a> Greenstone v2.41. La Interfaz de la Biblioteca Digital Greenstone (GLI por sus siglas en inglÃ©s) es un componente frontal fÃ¡cil de usar que le da acceso a todas las funciones de Greenstone para la construcciÃ³n de colecciones y que ha sido probado y depurado ampliamente. Si todavÃ­a no ha trabajado con ella, este es un excelente momento para hacerlo (y si en algÃºn momento tuvo problemas con una versiÃ³n anterior, lo instamos a que pruebe esta nueva versiÃ³n). Greenstone 2.41 tambiÃ©n incluye un nuevo plugin para el procesamiento de bases de datos CDS/ISIS, la capacidad de exportar varias colecciones a un CD-ROM y muchos otros arreglos y mejoras.}