Index: /trunk/gli/client-gli.bat
===================================================================
--- /trunk/gli/client-gli.bat	(revision 11800)
+++ /trunk/gli/client-gli.bat	(revision 11801)
@@ -151,5 +151,5 @@
 :: -Xloggc:<file>   Write garbage collection log
 
-"%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/jp.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone %1 %2 %3 %4 %5 %6 %7 %8 %9
+"%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/jp.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone %1 %2 %3 %4 %5 %6 %7 %8 %9
 
 if "%GLILANG%" == "en" echo Done!
Index: /trunk/gli/client-gli.sh
===================================================================
--- /trunk/gli/client-gli.sh	(revision 11800)
+++ /trunk/gli/client-gli.sh	(revision 11801)
@@ -162,5 +162,5 @@
 # -Xloggc:<file>   Write garbage collection log
 
-$javapath -Xmx128M -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone $*
+$javapath -Xmx128M -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar org.greenstone.gatherer.GathererProg -use_remote_greenstone $*
 
 if [ "$glilang" == "es" ]; then
Index: /trunk/gli/gli.bat
===================================================================
--- /trunk/gli/gli.bat	(revision 11800)
+++ /trunk/gli/gli.bat	(revision 11801)
@@ -266,5 +266,5 @@
 
 if exist "%GSDLHOME%\server.exe" goto localLib 
-    "%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/jp.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar org.greenstone.gatherer.GathererProg -gsdl %GSDLHOME% -perl %PERLPATH% -wget %WGETPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
+    "%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/jp.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -gsdl %GSDLHOME% -perl %PERLPATH% -wget %WGETPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
 
     if "%GLILANG%" == "en" echo Done!
@@ -275,5 +275,5 @@
 
 :localLib
-    "%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/jp.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar org.greenstone.gatherer.GathererProg -gsdl %GSDLHOME% -perl %PERLPATH% -local_library %GSDLHOME%\server.exe -wget %WGETPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
+    "%JAVAPATH%\java" -Xmx128M -cp classes/;GLI.jar;lib/apache.jar;lib/jp.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -gsdl %GSDLHOME% -perl %PERLPATH% -local_library %GSDLHOME%\server.exe -wget %WGETPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
 
     if "%GLILANG%" == "en" echo Done!
Index: /trunk/gli/gli.sh
===================================================================
--- /trunk/gli/gli.sh	(revision 11800)
+++ /trunk/gli/gli.sh	(revision 11801)
@@ -263,5 +263,5 @@
 # -Xloggc:<file>   Write garbage collection log
 
-$javapath -Xmx128M -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar org.greenstone.gatherer.GathererProg -gsdl $GSDLHOME -wget $wgetpath $*
+$javapath -Xmx128M -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar org.greenstone.gatherer.GathererProg -gsdl $GSDLHOME -wget $wgetpath $*
 
 if [ "$glilang" == "es" ]; then
Index: /trunk/gli/gli4gs3.bat
===================================================================
--- /trunk/gli/gli4gs3.bat	(revision 11800)
+++ /trunk/gli/gli4gs3.bat	(revision 11801)
@@ -315,5 +315,5 @@
 :: -Xloggc:<file>   Write garbage collection log
 
-"%JAVAPATH%\java" -cp classes/;GLI.jar;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar org.greenstone.gatherer.GathererProg -gsdl %GSDLHOME% -gsdl3 %GSDL3HOME% -gsdl3src %GSDL3SRCHOME% -perl %PERLPATH% -wget %WGETPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
+"%JAVAPATH%\java" -cp classes/;GLI.jar;lib/apache.jar;lib/qfslib.jar org.greenstone.gatherer.GathererProg -gsdl %GSDLHOME% -gsdl3 %GSDL3HOME% -gsdl3src %GSDL3SRCHOME% -perl %PERLPATH% -wget %WGETPATH% %1 %2 %3 %4 %5 %6 %7 %8 %9
 
 if "%GLILANG%" == "en" echo Done!
Index: /trunk/gli/gli4gs3.sh
===================================================================
--- /trunk/gli/gli4gs3.sh	(revision 11800)
+++ /trunk/gli/gli4gs3.sh	(revision 11801)
@@ -311,5 +311,5 @@
 	echo "Arguments $*"
     fi
-    $javapath -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar $2 $3
+    $javapath -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar $2 $3
     exit 0
 fi
@@ -335,5 +335,5 @@
 # -Xloggc:<file>   Write garbage collection log
 
-$javapath -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar org.greenstone.gatherer.GathererProg -gsdl $GSDLHOME -gsdl3 $GSDL3HOME -gsdl3src $GSDL3SRCHOME -wget $wgetpath $*
+$javapath -classpath classes/:GLI.jar:lib/apache.jar:lib/qfslib.jar org.greenstone.gatherer.GathererProg -gsdl $GSDLHOME -gsdl3 $GSDL3HOME -gsdl3src $GSDL3SRCHOME -wget $wgetpath $*
 
 if [ "$glilang" == "es" ]; then
Index: /trunk/gli/makegli.bat
===================================================================
--- /trunk/gli/makegli.bat	(revision 11800)
+++ /trunk/gli/makegli.bat	(revision 11801)
@@ -117,5 +117,5 @@
     if "%GLILANG%" == "ru" echo ®¬¯š«šà®¢ ­š¥ %1 š § ¢šáš¬ë¥ ª« ááë...
 
-    "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar %1
+    "%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar %1
 
     if "%GLILANG%" == "en" echo Done!
@@ -137,12 +137,12 @@
 
 :: Compile the GLI
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/GathererProg.java src/org/greenstone/gatherer/util/DragTreeSelectionModel.java 
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/GathererApplet.java
+"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar src/org/greenstone/gatherer/GathererProg.java src/org/greenstone/gatherer/util/DragTreeSelectionModel.java 
+"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar src/org/greenstone/gatherer/GathererApplet.java
 
 :: Compile the GEMS
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/gems/GEMS.java
+"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar src/org/greenstone/gatherer/gems/GEMS.java
 
 :: Compile the stand-alone programs used by the GLI applet
-"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar;lib/mail.jar;lib/activation.jar src/org/greenstone/gatherer/util/Unzip.java
+"%JAVACPATH%\javac.exe" -d classes/ -sourcepath src/ -classpath classes/;lib/apache.jar;lib/qfslib.jar src/org/greenstone/gatherer/util/Unzip.java
 
 if "%GLILANG%" == "en" echo Done!
Index: /trunk/gli/makegli.sh
===================================================================
--- /trunk/gli/makegli.sh	(revision 11800)
+++ /trunk/gli/makegli.sh	(revision 11801)
@@ -93,5 +93,5 @@
     fi
 
-    $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar $*
+    $javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar $*
 
     if [ "$glilang" == "es" ]; then
@@ -123,12 +123,12 @@
 
 # Compile the GLI
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/GathererProg.java
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/GathererApplet.java
+$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar src/org/greenstone/gatherer/GathererProg.java
+$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar src/org/greenstone/gatherer/GathererApplet.java
 
 # Compile the GEMS
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/gems/GEMS.java
+$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar src/org/greenstone/gatherer/gems/GEMS.java
 
 # Compile the stand-alone programs used by the GLI applet
-$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar:lib/mail.jar:lib/activation.jar src/org/greenstone/gatherer/util/Unzip.java
+$javacpath -deprecation -d classes/ -sourcepath src/ -classpath classes/:lib/apache.jar:lib/qfslib.jar src/org/greenstone/gatherer/util/Unzip.java
 
 if [ "$glilang" == "es" ]; then
Index: /trunk/gli/makejar.bat
===================================================================
--- /trunk/gli/makejar.bat	(revision 11800)
+++ /trunk/gli/makejar.bat	(revision 11801)
@@ -113,12 +113,9 @@
 
   cd lib
-  %JARPATH%\jar xf activation.jar com javax
   %JARPATH%\jar xf apache.jar com org
-  %JARPATH%\jar xf mail.jar com javax
   %JARPATH%\jar xf qfslib.jar de
 
   move com ..\jar\com     >NUL
   move de ..\jar\de       >NUL
-  move javax ..\jar\javax >NUL
   move org ..\jar\org     >NUL
 
@@ -151,5 +148,5 @@
 
 :: Jar everything up
-%JARPATH%\jar cf GLI.jar .java.policy metadata.zip %optional% help -C classes dictionary.properties -C classes dictionary_es.properties -C classes dictionary_fr.properties -C classes dictionary_ru.properties -C classes feedback.properties -C classes images -C classes xml -C jar com -C jar de -C jar javax -C jar org
+%JARPATH%\jar cf GLI.jar .java.policy metadata.zip %optional% help -C classes dictionary.properties -C classes dictionary_es.properties -C classes dictionary_fr.properties -C classes dictionary_ru.properties -C classes feedback.properties -C classes images -C classes xml -C jar com -C jar de -C jar org
 
 
Index: /trunk/gli/makejar.sh
===================================================================
--- /trunk/gli/makejar.sh	(revision 11800)
+++ /trunk/gli/makejar.sh	(revision 11801)
@@ -44,10 +44,8 @@
 
   cd lib
-  jar xf activation.jar com javax
   jar xf apache.jar com org
-  jar xf mail.jar com javax
   jar xf qfslib.jar de
 
-  mv com de javax org ../jar/.
+  mv com de org ../jar/.
   cd ..
 fi
@@ -78,5 +76,5 @@
     -C classes dictionary_fr.properties -C classes dictionary_ru.properties \
     -C classes feedback.properties -C classes images -C classes xml \
-    -C jar com -C jar de -C jar javax -C jar org
+    -C jar com -C jar de -C jar org
 
 