Index: trunk/gsdl-documentation/tutorials/xml-source/tutorial_en.xml
===================================================================
--- trunk/gsdl-documentation/tutorials/xml-source/tutorial_en.xml	(revision 11892)
+++ trunk/gsdl-documentation/tutorials/xml-source/tutorial_en.xml	(revision 11897)
@@ -472,4 +472,9 @@
 </Bullet>
 </BulletList>
+<Heading>
+<Text id="0231a">Installing Ghostscript on a Windows system</Text>
+</Heading>
+<Text id="0231b">If you wish to do advanced conversion of PDF and Postscript documents (as described in exercise <TutorialRef id="enhanced_pdf"/>), you will need to install Ghostscript. If you are installing from a Greenstone CD-ROM you will automatically be prompted for this; the procedure is analogous to that described above for ImageMagick. If not, you will need to download Ghostscript from <Link>http://www.cs.wisc.edu/~ghost/</Link> (follow the link to the current stable release).</Text>
+<Text id="0231c">If you are not sure whether you will need Ghostscript or not, you might as well install it anyway&mdash;it will do no harm.</Text>
 </Content>
 </Tutorial>
@@ -1201,5 +1206,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="ew-24">Build and preview the collection. <Path>word06.doc</Path> should now have only one table of contents.</Text>
+<Text id="ew-24"><b>Build</b> and <b>preview</b> the collection. <Path>word06.doc</Path> should now have only one table of contents.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -1238,5 +1243,5 @@
 <Content>
 <NumberedItem>
-<Text id="0338">Start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information. For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection (image-e)</b> from the pull-down menu.</Text>
+<Text id="0338">In the Librarian Interface, start a new collection (<Menu><AutoText key="glidict::Menu.File"/> &rarr; <AutoText key="glidict::Menu.File_New"/></Menu>) called <b>backdrop</b>. Fill out the fields with appropriate information. For <AutoText key="glidict::NewCollectionPrompt.Base_Collection"/>, select the item <b>Simple image collection (image-e)</b> from the pull-down menu.</Text>
 <Comment>
 <Text id="0340a">When you base a collection on an existing one, it inherits all the settings of the old one. You won't be asked to choose a metadata set because the new collection inherits the ones (if any) used by the seed collection.</Text>
@@ -1256,5 +1261,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0345">Change to the <AutoText key="glidict::GUI.Enrich"/> panel and view the extracted metadata for <Path>Bear.jpg</Path>.</Text>
+<Text id="0345">Back in the Librarian Interface, change to the <AutoText key="glidict::GUI.Enrich"/> panel and view the extracted metadata for <Path>Bear.jpg</Path>.</Text>
 </NumberedItem>
 <Heading>
@@ -1271,5 +1276,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0351">Now switch to the <AutoText key="glidict::GUI.Enrich"/> panel by clicking this tab. The metadata for each file now shows the Dublin Core <AutoText text="dc."/> fields as well as the extracted <AutoText text="ex."/> fields.</Text>
+<Text id="0351">Now switch to the <AutoText key="glidict::GUI.Enrich"/> panel by clicking this tab. The metadata for each file now shows the (empty) Dublin Core <AutoText text="dc."/> fields as well as the extracted <AutoText text="ex."/> fields.</Text>
 </NumberedItem>
 <Heading>
@@ -1277,20 +1282,13 @@
 </Heading>
 <NumberedItem>
-<Text id="0352">We work with just the first three files (<Path>Bear.jpg</Path>, <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>) to get a flavour of what is possible. First, set each file's <AutoText key="metadata::dc.Title"/> field to be the same as its filename but without the filename extension.</Text>
-</NumberedItem>
-<NumberedItem>
+<Text id="0352">We work with just the first three files (<Path>Bear.jpg</Path>, <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>) to get a flavour of what is possible. First, set each file's <AutoText key="metadata::dc.Title"/> field to be the same as its filename but without the filename extension:</Text>
 <Text id="0353">Click on <Path>Bear.jpg</Path> so its metadata fields are available, then click on its <AutoText key="metadata::dc.Title"/> field on the right-hand side. Type in <b>Bear</b>, and click <b>Enter</b>.</Text>
-</NumberedItem>
-<NumberedItem>
 <Text id="0355">Repeat the process for <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="0355a">Add a description for each image as <AutoText key="metadata::dc.Description"/> metadata.</Text>
-<Text id="0372">What description should you enter? To remind yourself of a file's content, the Librarian Interface lets you open files by double-clicking them. It launches the appropriate application based on the filename extension, Word for .doc files, Acrobat for .pdf files and so on. Double-click <Path>Bear.jpg</Path>: on Windows, the image will normally be displayed by Microsoft's Photo Editor (although this depends on how your computer has been set up).</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0373">Back in the Librarian Interface enter the text <b>Bear in the Rocky Mountains</b> as the <AutoText key="metadata::dc.Description"/> field's value and click <b>Enter</b> to have it added.</Text>
-</NumberedItem>
-<NumberedItem>
+<Text id="0372">What description should you enter? To remind yourself of a file's content, the Librarian Interface lets you open files by double-clicking them. It launches the appropriate application based on the filename extension, Word for .doc files, Acrobat for .pdf files and so on.</Text>
+<Text id="0372a">Double-click <Path>Bear.jpg</Path>: on Windows, the image will normally be displayed by Microsoft's Photo Editor (although this depends on how your computer has been set up).</Text>
+<Text id="0373">Back in the <AutoText key="glidict::GUI.Enrich"/> pane, make sure that <Path>Bear.jpg</Path> is selected in the collection tree on the left hand side. Enter the text <b>Bear in the Rocky Mountains</b> as the value for the <AutoText key="metadata::dc.Description"/> field and press <b>Enter</b> to have it added.</Text>
 <Text id="0374">Repeat this process for <Path>Cat.jpg</Path> and <Path>Cheetah.jpg</Path>, adding a suitable description for each.</Text>
 </NumberedItem>
@@ -1303,15 +1301,15 @@
 <NumberedItem>
 <Text id="0358">Go to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Formats"/> from the left-hand list. Leave the feature selection controls at their default values, so that <AutoText key="glidict::CDM.FormatManager.Feature"/> remains blank and <AutoText text="VList" /> is selected as the <AutoText key="glidict::CDM.FormatManager.Part"/>. In the <AutoText key="glidict::CDM.FormatManager.Editor"/>, edit the text as follows:</Text>
-<Indent>
-<Text id="0359">Change "_ImageName_:" to "Title:" <br/> Change "[Image]" to "[dc.Title]"</Text>
-</Indent>
-<Text id="0359a">Place your cursor after the text that says</Text>
-<Format>
-[dc.Title]&lt;br&gt;
-</Format>
-<Text id="0359b">and add the following text:</Text>
-<Format>
-Description: [dc.Description]&lt;br&gt;
-</Format>
+<BulletList>
+<Bullet>
+<Text id="0359">Change <Format>_ImageName_:</Format> to <Format>Title:</Format></Text>
+</Bullet>
+<Bullet>
+<Text id="0359a">Change <Format>[Image]</Format> to <Format>[dc.Title]</Format></Text>
+</Bullet>
+<Bullet>
+<Text id="0359b">After <Format>[dc.Title]&lt;br&gt;</Format> add <Format>Description: [dc.Description]&lt;br&gt;</Format></Text>
+</Bullet>
+</BulletList>
 <Comment>
 <Text id="0360">Metadata names are case-sensitive in Greenstone: it is important that you capitalize "Title" and "Description" (and don't capitalize "dc").</Text>
@@ -1322,5 +1320,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0362a">Go to the <AutoText key="glidict::GUI.Create"/> panel and click <AutoText key="glidict::CreatePane.Build_Collection" type="button"/>. Now <b>preview</b> the collection. When you click on <AutoText key="coredm::_Global:labelBrwse_"/> in the navigation bar the presentation has changed to "Title: Bear" and so on. Each image's description should appear beside the thumbnail, following the title.</Text>
+<Text id="0362a">Go to the <AutoText key="glidict::GUI.Create"/> panel and click <AutoText key="glidict::CreatePane.Build_Collection" type="button"/>. Once it has finished building, <b>preview</b> the collection. When you click on <AutoText key="coredm::_Global:labelBrwse_"/> in the navigation bar the presentation has changed to "Title: Bear" and so on. Each image's description should appear beside the thumbnail, following the title.</Text>
 </NumberedItem>
 <Comment>
@@ -1346,8 +1344,11 @@
 </Heading>
 <NumberedItem>
-<Text id="0381">Now we'll add a new browsing option based on the descriptions. Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Classifiers"/> from the left-hand list. Set the menu item for <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> to <AutoText text="AZList" />; then click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0382">A window pops up to control the classifier's options. Set the menu item for metadata to <AutoText key="metadata::dc.Description"/> and click <AutoText key="glidict::General.OK" type="button"/>. Now switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, and <b>preview</b> it. Choose the new <b>descriptions</b> link that appears in the navigation bar.</Text>
+<Text id="0381">Now we'll add a new browsing option based on the descriptions. In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Classifiers"/> from the left-hand list. Set the menu item for <AutoText key="glidict::CDM.ClassifierManager.Classifier"/> to <AutoText text="AZList" />; then click <AutoText key="glidict::CDM.ClassifierManager.Add" type="button"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0382">A window pops up to control the classifier's options. Set the <AutoText text="metadata"/> option to <AutoText key="metadata::dc.Description"/> and click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0382a"><b>Build</b> the collection, and <b>preview</b> it. Choose the new <b>descriptions</b> link that appears in the navigation bar.</Text>
 </NumberedItem>
 <Comment>
@@ -1358,12 +1359,11 @@
 </Heading>
 <NumberedItem>
-<Text id="0385">Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Indexes"/> from the left-hand list. Enter the text "descriptions" as the <AutoText key="glidict::CDM.IndexManager.Index_Name"/>, select <AutoText key="metadata::dc.Description"/> and click <AutoText key="glidict::CDM.IndexManager.Add_Index" type="button"/>.</Text>
-</NumberedItem>
-<NumberedItem>
-<Text id="0386">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, then <b>preview</b> it. As an example, search for the term "bear" in the <i>descriptions</i> index (which is the only index at this point).</Text>
+<Text id="0385">Now we'll add an index so that the collection can be searched by descriptions. Switch to the <AutoText key="glidict::GUI.Design"/> panel and select <AutoText key="glidict::CDM.GUI.Indexes"/> from the left-hand list. Enter the text "descriptions" as the <AutoText key="glidict::CDM.IndexManager.Index_Name"/>, select <AutoText key="metadata::dc.Description"/> from the <AutoText key="glidict::CDM.IndexManager.Source"/> list, and click <AutoText key="glidict::CDM.IndexManager.Add_Index" type="button"/>.</Text>
+</NumberedItem>
+<NumberedItem>
+<Text id="0386">Switch to the <AutoText key="glidict::GUI.Create"/> panel, <b>build</b> the collection, then <b>preview</b> it. There is now a <AutoText key="coredm::_Global:labelSearch_"/> button in the navigation bar. As an example, search for the term "bear" in the <i>descriptions</i> index (which is the only index at this point).</Text>
 </NumberedItem>
 </Content>
 </Tutorial>
-
 <Tutorial id="export_to_CDROM">
 <Title>
@@ -2012,5 +2012,5 @@
 </Format>
 </NumberedItem>
-<Text id="mf-22">The following changes will involve making changes to the external stylesheet file. The above style definitions were included in the macro file so that image paths could be dynamically generated. The majority of the style definitions reside in an external style file, <Path>Greenstone &rarr; images &rarr; style.css</Path>.</Text>
+<Text id="mf-22">The above style definitions were included in the macro file so that image paths could be dynamically generated. The majority of the style definitions reside in an external style file, <Path>Greenstone &rarr; images &rarr; style.css</Path>, and most style changes involve modifying that file.</Text>
 <NumberedItem>
 <Text id="mf-23">Open <Path>Greenstone &rarr; images &rarr; style.css</Path> in a text editor. Make the following modifications. You might want to preview after each one to see the effect.</Text>
@@ -2061,5 +2061,5 @@
 }
 </Format>
-<Text id="mf-35">After <Format>_pagefooterextra_</Format> add some text or HTML. For example "&lt;center&gt;&lt;small&gt;Copyright 2006 My Awesome Digital Library&lt;/small&gt;&lt;/center&gt;". The resulting macro will look something like:</Text>
+<Text id="mf-35">After <Format>_pagefooterextra_</Format> add some text or HTML. For example <Format>&lt;center&gt;&lt;small&gt;Copyright 2006 My Awesome Digital Library&lt;/small&gt;&lt;/center&gt;</Format>. The resulting macro will look something like:</Text>
 <Format>
 _footer_ {<br/>
@@ -2901,8 +2901,9 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0706">In the <AutoText key="glidict::GUI.Gather"/> panel, navigate to the <Path>sample_small</Path> folder in <Path>sample_files &rarr; oai</Path>. Drag this folder into the collection and drop it there.</Text>
+<Text id="0706">In the <AutoText key="glidict::GUI.Gather"/> panel, locate the folder <Path>sample_files &rarr; oai &rarr; sample_small &rarr; oai</Path>. Drag this folder into the collection and drop it there.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="0707">During the copy operation, a popup window appears asking whether to add <AutoText text="OAIPlug" /> to the list of plug-ins used in the collection, because the Librarian Interface has not found an existing plug-in that can handle this file type. Press the <AutoText key="glidict::CDM.PlugInManager.QuickAdd" type="button"/> button to include it.</Text>
+<Text id="0707a">The files for this collection consist of a set of images (in <Path>JCDLPICS &rarr; srcdocs</Path>) and a set of OAI records (in <Path>JCDLPICS</Path>) which contain metadata for the images.</Text>
 </NumberedItem>
 <Comment>
@@ -2913,8 +2914,9 @@
 </Comment>
 <NumberedItem>
-<Text id="0710">You need to configure the Image plug-in. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="plugin ImagePlug"/> line and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. In the resulting popup window locate the <AutoText text="screenviewsize"/> option, switch it on, and type the number <AutoText text="300"/> in the box beside it to create a screen-view image of 300 pixels. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
+<Text id="0710">You need to configure the image plug-in. In the <AutoText key="glidict::GUI.Design"/> panel, select the <AutoText key="glidict::CDM.GUI.Plugins"/> section, then select the <AutoText text="plugin ImagePlug"/> line and click <AutoText key="glidict::CDM.PlugInManager.Configure" type="button"/>. In the resulting popup window locate the <AutoText text="screenviewsize"/> option, switch it on, and type the number <AutoText text="300"/> in the box beside it to create a screen-view image of 300 pixels. Click <AutoText key="glidict::General.OK" type="button"/>.</Text>
 </NumberedItem>
 <NumberedItem>
 <Text id="0711">Now switch to the <AutoText key="glidict::GUI.Create"/> panel and <b>build</b> and <b>preview</b> the collection.</Text>
+<Text id="0711a"><AutoText text="OAIPlug"/> will process the OAI records, and assign metadata to the images, which are processed by <AutoText text="ImagePlug"/>.</Text>
 </NumberedItem>
 <Comment>
@@ -2928,5 +2930,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0715">Now add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::ex.Description"/> metadata. In its configuration panel set <AutoText text="mincompact"/> to  <AutoText text="1"/>, <AutoText text="maxcompact"/> to <AutoText text="10"/> and <AutoText text="buttonname"/> to <AutoText text="Captions"/>.</Text>
+<Text id="0715">Now add an <AutoText text="AZCompactList" /> classifier based on <AutoText key="metadata::ex.Description"/> metadata. In its configuration panel set <AutoText text="mingroup"/> to <AutoText text="2"/>, <AutoText text="mincompact"/> to <AutoText text="1"/>, <AutoText text="maxcompact"/> to <AutoText text="10"/> and <AutoText text="buttonname"/> to <AutoText text="Captions"/>.</Text><Text id="0715a">Setting <AutoText text="mingroup"/> to 2 will mean that two or more documents with the same description will be grouped into a bookshelf; the default <AutoText text="mingroup"/> of 1 means that every document will get a bookshelf. <AutoText text="mincompact"/> and <AutoText text="maxcompact"/> control how many documents are grouped into each section of the horizontal A-Z list. In this case, each group can have as few as one document, and no more than ten.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -2934,5 +2936,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0717"><b>Build</b> collection and <b>preview</b> it.</Text>
+<Text id="0717"><b>Build</b> the collection and <b>preview</b> it.</Text>
 </NumberedItem>
 <Heading>
@@ -2949,5 +2951,5 @@
 &lt;/td&gt;
 </Format> 
-<Text id="0720">You will find this text in the file <Path>vlist_tweak.txt</Path> in the <Path>oai &rarr;format_tweaks</Path> folder of <Path>sample_files</Path>. Remember to press <AutoText key="glidict::CDM.FormatManager.Replace" type="button"/> when finished</Text>
+<Text id="0720">You will find this text in the file <Path>vlist_tweak.txt</Path> in the <Path>sample_files &rarr; oai &rarr;format_tweaks</Path> folder. Remember to click <AutoText key="glidict::CDM.FormatManager.Replace" type="button"/> when finished</Text>
 <Comment>
 <Text id="0721">This format statement customizes the appearance of vertical lists such as the search results and captions lists to show a thumbnail icon followed by Description metadata. Greenstone's default is to use extracted metadata, so <Format>[Description]</Format> is the same as <Format>[ex.Description]</Format>.</Text>
@@ -2959,5 +2961,5 @@
 <Text id="0722a">Click <AutoText key="glidict::CDM.FormatManager.Replace" type="button"/>.</Text>
 <Comment>
-<Text id="0723">The document heading appears above the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons when you get to a document in the collection. By default <AutoText text="DocumentHeading"/> displays the document's <AutoText key="metadata::ex.Title"/> metadata. In this particular set of OAI exported records, titles are filenames of JPEG images, and the filenames are particularly uninformative (for example, 01dla14). You can see them in the <AutoText key="glidict::GUI.Enrich"/> panel if you select an image in <Path>sample_small &rarr; oai &rarr; JCDLPICS &rarr; srcdocs</Path> and check its <AutoText key="metadata::ex.Source"/> and <AutoText key="metadata::ex.Title"/> metadata. The above format statement displays <AutoText key="metadata::ex.Subject"/> metadata instead.</Text>
+<Text id="0723">The document heading appears above the <AutoText key="coredm::_document:textDETACH_" type="italics"/> and <AutoText key="coredm::_document:textNOHIGHLIGHT_" type="italics"/> buttons when you get to a document in the collection. By default <AutoText text="DocumentHeading"/> displays the document's <AutoText key="metadata::ex.Title"/> metadata. In this particular set of OAI exported records, titles are filenames of JPEG images, and the filenames are particularly uninformative (for example, 01dla14). You can see them in the <AutoText key="glidict::GUI.Enrich"/> panel if you select an image in <Path>oai &rarr; JCDLPICS &rarr; srcdocs</Path> and check its <AutoText key="metadata::ex.Source"/> and <AutoText key="metadata::ex.Title"/> metadata. The above format statement displays <AutoText key="metadata::ex.Subject"/> metadata instead.</Text>
 </Comment>
 </NumberedItem>
@@ -2965,12 +2967,12 @@
 <Text id="0727">Finally, you will have noticed that where the document itself should appear, you see only <AutoText key="perlmodules::BasPlug.dummy_text" type="quoted"/>. To rectify this, select <AutoText text="DocumentText"/> in the <AutoText key="glidict::CDM.FormatManager.Feature"/> pull-down list and use the following as its format statement (this text is in <Path>doctxt_tweak.txt</Path> in the <Path>format_tweaks</Path> folder mentioned earlier):</Text>
 <Format>&lt;center&gt;&lt;table width=_pagewidth_ border=1&gt;<br/> 
-&lt;tr&gt;&lt;td colspan=2 align=center&gt;<br/> 
-&lt;a href=[OrigURL]&gt;[screenicon]&lt;/a&gt;&lt;/td&gt;&lt;/tr&gt;<br/> 
-&lt;tr&gt;&lt;td&gt;Caption:&lt;/td&gt;&lt;td&gt; &lt;i&gt;[Description]&lt;/i&gt; &lt;br&gt;<br/> 
-(&lt;a href=[OrigURL]&gt;original [ImageWidth]x[ImageHeight] [ImageType] available&lt;/a&gt;)<br/> 
-&lt;/td&gt;&lt;/tr&gt;<br/> 
-&lt;tr&gt;&lt;td&gt;Subject:&lt;/td&gt;&lt;td&gt; [Subject]&lt;/td&gt;&lt;/tr&gt;<br/> 
-&lt;tr&gt;&lt;td&gt;Publisher:&lt;/td&gt;&lt;td&gt; [Publisher]&lt;/td&gt;&lt;/tr&gt;<br/> 
-&lt;tr&gt;&lt;td&gt;Rights:&lt;td&gt; [Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td colspan=2 align=center&gt;<br/> 
+&nbsp;&nbsp;&nbsp;&nbsp;&lt;a href=[OrigURL]&gt;[screenicon]&lt;/a&gt;&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Caption:&lt;/td&gt;&lt;td&gt; &lt;i&gt;[Description]&lt;/i&gt; &lt;br&gt;<br/> 
+&nbsp;&nbsp;&nbsp;&nbsp;(&lt;a href=[OrigURL]&gt;original [ImageWidth]x[ImageHeight] [ImageType] available&lt;/a&gt;)<br/> 
+&nbsp;&nbsp;&nbsp;&nbsp;&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Subject:&lt;/td&gt;&lt;td&gt; [Subject]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Publisher:&lt;/td&gt;&lt;td&gt; [Publisher]&lt;/td&gt;&lt;/tr&gt;<br/> 
+&nbsp;&nbsp;&lt;tr&gt;&lt;td&gt;Rights:&lt;td&gt; [Rights]&lt;/td&gt;&lt;/tr&gt;<br/> 
 &lt;/table&gt;&lt;/center&gt;</Format> 
 <Text id="0727a">Click <AutoText key="glidict::CDM.FormatManager.Replace" type="button"/>.</Text>
@@ -3060,5 +3062,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0758">Rebuild the collection.</Text>
+<Text id="0758"><b>Rebuild</b> the collection.</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3087,5 +3089,5 @@
 </NumberedItem>
 <NumberedItem>
-<Text id="0766">Using the up and down arrows, <b>Move</b> the position of <AutoText text="DSpacePlug" /> to the top of the list (above <AutoText text="GAPlug" />).</Text>
+<Text id="0766">Using the up arrow, <b>move</b> the position of <AutoText text="DSpacePlug" /> to the top of the list (above <AutoText text="GAPlug" />).</Text>
 </NumberedItem>
 <NumberedItem>
@@ -3096,5 +3098,5 @@
 </NumberedItem>
 <Comment>
-<Text id="0770">If you browse by <AutoText key="coredm::_Global:labelTitle_" type="italics"/>, you will find 7 documents listed, though only 5 items were exported from DSpace. Two of the original items had alternative forms in their directory folder. DSpace plug-in options control what happens in such situations: the default is to treat them as separate Greenstone documents.</Text>
+<Text id="0770">If you browse by <AutoText key="coredm::_Global:labelTitle_" type="italics"/>, you will find 7 documents listed, though only 5 items were exported from DSpace. Two of the original items had alternative forms in their directory folder. The DSpace plug-in options control what happens in such situations: the default is to treat them as separate Greenstone documents.</Text>
 </Comment>
 <Comment>
@@ -3113,10 +3115,8 @@
 <Text id="0775">There are now only 5 documents, because only one version of each document has been included&mdash;the primary version.</Text>
 </Comment>
-<Comment>
+<Heading>
+<Text id="0777">Adding indexing and browsing capabilities to match DSpace's</Text>
+</Heading>
 <Text id="0776">The DSpace exported files contain Dublin Core metadata for title and author (amongst other things).</Text>
-</Comment>
-<Heading>
-<Text id="0777">Adding indexing and browsing capabilities to match DSpace's</Text>
-</Heading>
 <NumberedItem>
 <Text id="0778">In the <AutoText key="glidict::GUI.Design"/> panel, select <AutoText key="glidict::CDM.GUI.Indexes"/>. Delete the <AutoText key="metadata::ex.Title"/> and <AutoText key="metadata::ex.Source"/> indexes, and add one for <AutoText key="metadata::dc.Title"/> called "titles" and another for <AutoText key="metadata::dc.Contributor"/> called "authors".</Text>
@@ -3179,5 +3179,5 @@
 <NumberedItem>
 <Text id="0790c">Type:</Text>
-<Command>setup.bat</Command> 
+<Command>setup</Command> 
 <Text id="0790d">to set up the ability to run Greenstone command-line programs.</Text>
 </NumberedItem>