Index: trunk/gsdl/macros/arabic2.dm
===================================================================
--- trunk/gsdl/macros/arabic2.dm	(revision 11903)
+++ trunk/gsdl/macros/arabic2.dm	(revision 11903)
@@ -0,0 +1,781 @@
+# this file must be UTF-8 encoded
+######################################################################
+#
+# English Language text and icon macros 
+# -- this file contains text that is of less importance
+######################################################################
+
+
+
+######################################################################
+# 'home' page
+package home
+######################################################################
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _documents_
+_lastupdate_ [l=ar] {Ø§Ø®Ø± ØªØ¹Ø¯ÙÙ}  # Updated 1-Apr-2006
+# -- Missing translation: _ago_
+# -- Missing translation: _colnotbuilt_
+
+_textpagetitle_ [l=ar] {Ø§ÙÙ
+ÙØªØšØ© Ø§ÙØ¥ÙÙØªØ±ÙÙÙØ© Greenstone}  # Updated 3-May-2006
+# -- Missing translation: _textadmin_
+# -- Missing translation: _textabgs_
+# -- Missing translation: _textgsdocs_
+
+# -- Missing translation: _textdescrgli_
+
+# -- Missing translation: _textdescrcollector_
+
+# -- Missing translation: _textdescrtranslator_
+
+_textdescradmin_ [l=ar] {Allows you to add new users, summarizes the collections in the system,
+ÙÙØ¹Ø·ÙÙ Ù
+Ø¹ÙÙÙ
+Ø§Øª ÙÙÙØ© Ø¹Ù Ø¹Ù
+ÙÙØ© ØªØ«ØšÙØª ØšØ±ÙØ§Ù
+Ø¬ Greenstone Ø¹ÙÙ Ø§ÙÙÙ
+ØšÙÙØªØ±}  # Updated 2-Apr-2006
+
+# -- Missing translation: _textdescrgogreenstone_
+
+# -- Missing translation: _textdescrgodocs_
+
+# -- Missing translation: _textpoem_
+
+# -- Missing translation: _textgreenstone_
+
+# -- Missing translation: _textaboutgreenstone_
+
+
+# -- Missing translation: _textdescrselcol_
+
+
+######################################################################
+# home help page
+package homehelp
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _text4buts_
+
+# -- Missing translation: _textnocollections_
+
+# -- Missing translation: _text1coll_
+
+# -- Missing translation: _textmorecolls_
+
+######################################################################
+# external link package
+package extlink
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textextlink_
+# -- Missing translation: _textlinknotfound_
+
+# -- Missing translation: _textextlinkcontent_
+
+# -- Missing translation: _textlinknotfoundcontent_
+
+# should have arguments of collection, collectionname and link
+# -- Missing translation: _foundintcontent_
+
+
+######################################################################
+# authentication page
+package authen
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textGSDLtitle_
+
+# -- Missing translation: _textusername_
+# -- Missing translation: _textpassword_
+
+# -- Missing translation: _textmustbelongtogroup_
+
+_textmessageinvalid_ [l=ar] {Ø§ÙØµÙØ­Ø© Ø§ÙØªÙ Ø·ÙØšØª Ø¹Ø±Ø¶ÙØ§ ØªØªØ·ÙØš Ù
+ÙÙ Ø¥Ø¬Ø±Ø§Ø¡Ø§Øª Ø§ÙØ¯Ø®ÙÙ.<br>
+_If_(_cgiargug_,[_textmustbelongtogroup_]<br>)
+Ù
+Ù ÙØ¶ÙÙ Ø§Ø¯Ø®Ù Ø§Ø³Ù
+ Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+ ÙÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± Ø§ÙØ®Ø§ØµØ© ØšÙ Greenstone.}  # Updated 7-May-2006
+
+# -- Missing translation: _textmessagefailed_
+
+# -- Missing translation: _textmessagedisabled_
+
+# -- Missing translation: _textmessagepermissiondenied_
+
+# -- Missing translation: _textmessagestalekey_
+
+
+######################################################################
+# 'docs' page 
+package docs
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textnodocumentation_
+
+_textuserguide_ [l=ar] {Ø¯ÙÙÙ Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+}  # Updated 7-May-2006
+# -- Missing translation: _textinstallerguide_
+_textdeveloperguide_ [l=ar] {Ø¯ÙÙÙ Ø§ÙÙ
+Ø·ÙØ± (Ø§ÙÙ
+ØšØ±Ù
+Ø¬)}  # Updated 7-May-2006
+# -- Missing translation: _textpaperguide_
+# -- Missing translation: _textorganizerguide_
+
+# -- Missing translation: _textgsdocstitle_
+
+######################################################################
+# collectoraction
+package collector
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textdefaultstructure_
+# -- Missing translation: _textmore_
+_textcollector_ [l=ar] {Ø§ÙØ¬Ø§Ù
+Ø¹ }  # Updated 1-Apr-2006
+_textinfo_ [l=ar] {Ù
+Ø¹ÙÙÙ
+Ø§Øª Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©}  # Updated 1-Apr-2006
+# -- Missing translation: _textsrce_
+# -- Missing translation: _textconf_
+_textbild_ [l=ar] {ØšÙØ§Ø¡ Ù
+Ø¬Ù
+ÙØ¹Ø©}  # Updated 3-May-2006
+# -- Missing translation: _textview_
+_textdel_ [l=ar] {Ø­Ø°Ù Ù
+Ø¬Ù
+ÙØ¹Ø©}  # Updated 3-May-2006
+# -- Missing translation: _textexpt_
+
+# -- Missing translation: _textdownloadingfiles_
+_textimportingcollection_ [l=ar] {ØªØµØ¯ÙØ± Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© ...}  # Updated 3-May-2006
+# -- Missing translation: _textbuildingcollection_
+# -- Missing translation: _textcreatingcollection_
+
+# -- Missing translation: _textcollectorblurb_
+
+# -- Missing translation: _textcb1_
+
+# -- Missing translation: _textcb2_
+# -- Missing translation: _textcnc_
+# -- Missing translation: _textwec_
+
+# -- Missing translation: _textcb3_
+
+# -- Missing translation: _textcb4_
+
+# -- Missing translation: _textfsc_
+
+# -- Missing translation: _textwtc_
+# -- Missing translation: _textamd_
+# -- Missing translation: _textetc_
+# -- Missing translation: _textdtc_
+# -- Missing translation: _textetcfcd_
+# -- Missing translation: _textcaec_
+# -- Missing translation: _textnwec_
+# -- Missing translation: _textcianc_
+# -- Missing translation: _texttsosn_
+# -- Missing translation: _textsin_
+# -- Missing translation: _textswts_
+# -- Missing translation: _textatco_
+# -- Missing translation: _textbtc_
+# -- Missing translation: _textpvyh_
+
+# -- Missing translation: _texttfsiw_
+
+# -- Missing translation: _textadab_
+
+# -- Missing translation: _textwyar_
+
+# -- Missing translation: _textcnmbs_
+# -- Missing translation: _texteambs_
+# -- Missing translation: _textpsea_
+_textdocmbs_ [l=ar] {ÙØµÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© ÙØ¬Øš Ø£Ù ÙØ­Ø¯Ø¯}  # Updated 3-May-2006
+
+# -- Missing translation: _textwcanc_
+
+# -- Missing translation: _texttfc_
+
+# -- Missing translation: _texttctiasp_
+
+# -- Missing translation: _textcea_
+
+# -- Missing translation: _textteas_
+
+# -- Missing translation: _textatc_
+
+# -- Missing translation: _texttiasd_
+
+_textypits_ [l=ar] {Ù
+ÙÙØ¹Ù ÙÙ Ø§ÙØªØ³ÙØ³Ù Ù
+ÙØ¶Ø­ ØšÙØ§Ø³Ø·Ø© Ø§ÙØ³ÙÙ
+ Ø§ÙØ³ÙÙÙ -- ÙÙ
+ ÙØ°Ù Ø§ÙØ­Ø§ÙØ© Ø Ø§Ù "Ù
+Ø¹ÙÙÙ
+Ø© Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©" Ù
+Ø±Ø­ÙØ©
+Ù
+ØµØ¯Ø± Ø§ÙØšÙØ§ÙØ§Øª "Ø²Ø±"
+}  # Updated 1-Apr-2006
+
+_srcebadsources_ [l=ar] {<p>ÙØ§Ø­Ø¯ Ø£Ù Ø£ÙØ«Ø± Ù
+Ù Ù
+ØµØ§Ø¯Ø± Ø§ÙØ¥Ø¯Ø®Ø§Ù ÙÙØ³Øª Ù
+ØªØ§Ø­Ø© (marked
+_iconcross_ below).
+
+<p>ÙØ¯ ÙÙÙÙ ÙØ°Ø§ ØšØ³ØšØš
+<ul>
+<li>Ø¹Ø¯Ù
+ ÙØ¬ÙØ¯ Ø§ÙÙ
+ÙÙ Ø£Ù Ø§ØªØµØ§Ù FTP Ø£ÙURL.
+<li>You need to dial up your ISP first.
+<li>You are trying to access a URL from behind a firewall (this is the case
+if you normally have to present a username and password to access the
+internet).
+</ul>
+
+<p>If this is a URL that you can see in your browser, it may be coming from
+a locally cached copy. Unfortunately, locally cached copies are invisible
+to our mirroring process. In this case we recommend that you download the
+pages using your browser first.
+}  # Updated 2-Apr-2006
+
+# -- Missing translation: _textymbyco_
+
+# -- Missing translation: _textbtco_
+# -- Missing translation: _textand_
+_textad_ [l=ar] {Ø§Ø¶Ø§ÙØ© ØšÙØ§ÙØ§Øª :}  # Updated 1-Apr-2006
+
+# -- Missing translation: _texttftysb_
+
+# -- Missing translation: _textis_
+
+# -- Missing translation: _textddd1_
+
+# -- Missing translation: _textddd2_
+
+# -- Missing translation: _textconf1_
+
+# -- Missing translation: _textreset_
+
+# -- Missing translation: _textbild1_
+
+# -- Missing translation: _textbild2_
+
+# -- Missing translation: _textstopbuild_
+
+# -- Missing translation: _textbild3_
+
+# -- Missing translation: _textbuildcancelled_
+
+# -- Missing translation: _textbildcancel1_
+
+# -- Missing translation: _textbsupdate1_
+_textbsupdate2_ [l=ar] {ØªØ¬Ø¯ÙØ¯ Ø­Ø§ÙØ© Ø§ÙØšÙÙØ© ÙÙ}  # Updated 1-Apr-2006
+# -- Missing translation: _textseconds_
+# -- Missing translation: _textbildsuc_
+
+# -- Missing translation: _textviewbildsummary_
+
+# -- Missing translation: _textfailmsg11_
+
+# -- Missing translation: _textfailmsg21_
+# -- Missing translation: _textblcont_
+
+_texttryagain_ [l=ar] {Ø±Ø¬Ø§Ø¡ <a href="_httppagecollector_" target=_top>Ø§Ø³ØªØ£ÙØ§Ù Ø§ÙÙ
+Ø¬Ù
+Ù
+ÙØ¹Ø© ÙØ§ÙÙ
+Ø­Ø§ÙÙØ© Ù
+Ø±Ø© Ø§Ø®Ø±Ù</a>
+}  # Updated 1-Apr-2006
+
+# -- Missing translation: _textfailmsg31_
+# -- Missing translation: _textfailmsg41_
+_textfailmsg71_ [l=ar] {Ø­Ø¯Ø« Ø®Ø·Ø£ ØºÙØ± Ù
+ØªÙÙØ¹ Ø£Ø«ÙØ§Ø¡ Ù
+Ø­Ø§ÙÙØ© ØšÙØ§Ø¡ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø©}  # Updated 3-May-2006
+# -- Missing translation: _textretcoll_
+
+# -- Missing translation: _textdelperm_
+
+# -- Missing translation: _textdelinv_
+
+# -- Missing translation: _textdelsuc_
+
+# -- Missing translation: _textclonefail_
+
+# -- Missing translation: _textcolerr_
+
+# -- Missing translation: _texttmpfail_
+
+_textmkcolfail_ [l=ar] {Ø§ÙÙ
+Ø¬Ù
+Ø¹ ÙØŽÙ ÙÙ Ø¥ÙØŽØ§Ø¡ ÙÙÙÙ Ø§ÙØ¯ÙÙÙ Ø§ÙÙ
+Ø·ÙÙØš Ù
+Ù ÙØšÙ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© Ø§ÙØ¬Ø¯ÙØ¯Ø©
+(mkcol.pl failed). ÙØ¯ ÙÙÙÙ Ø§ÙØ³ØšØš:
+<ul>
+<li> ØºÙØ± Ù
+ØµØ±Ø­ ÙÙ Greenstone ØšØ§ÙÙØªØ§ØšØ© Ø¹ÙÙ Ù
+ÙÙ _gsdlhome_/tmp
+     directory.
+<li> mkcol.pl perl script errors.
+</ul>
+}  # Updated 3-May-2006
+
+# -- Missing translation: _textnocontent_
+
+# -- Missing translation: _textrestart_
+
+# -- Missing translation: _textreloaderror_
+
+# -- Missing translation: _textexptsuc_
+
+# -- Missing translation: _textexptfail_
+
+
+######################################################################
+# 'gsdl' page
+package gsdl
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+# -- Missing translation: _textgreenstone1_
+
+# -- Missing translation: _textgreenstone2_
+
+_textplatformtitle_ [l=ar] {Ø§ÙØšÙÙØ© Ø§ÙØªØ­ØªÙØ©}  # Updated 1-Apr-2006
+# -- Missing translation: _textgreenstone3_
+
+# -- Missing translation: _textgreenstone4_
+
+# -- Missing translation: _textcustomisationtitle_
+# -- Missing translation: _textgreenstone5_
+
+# -- Missing translation: _textdocumentationtitle_
+# -- Missing translation: _textdocuments_
+
+#_textthreedocs_ {There are three documents that explain the Greenstone system:}
+#_textinstall_ {The Greenstone Digital Library Software Installer's Guide}
+#_textuser_ {The Greenstone Digital Library Software User's Guide}
+#_textdevelop_ {The Greenstone Digital Library Software Developer's Guide}
+
+# -- Missing translation: _textmailinglisttitle_
+_textmailinglist_ [l=ar] {ÙÙØ§ÙÙ ÙØ§ØŠÙ
+Ø© ØšØ±ÙØ¯ÙØ© Ù
+Ø®ØµØµØ© Ø§Ø³Ø§Ø³Ø§ ÙØ§ØºØ±Ø§Ø¶ Ø§ÙÙÙØ§ØŽ Ø¹Ù 
+Ù
+ÙØªØšØ© Ø¬Ø±ÙÙ Ø³ØªÙÙ  Ø§ÙØ±ÙÙ
+ÙØ© . Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+ÙÙ Ø§ÙÙØŽØ·Ø§Ø¡ ÙØ¬Ø±ÙÙ Ø³ØªÙÙ ÙØ¬Øš Ø§Ù ØšØ¹ØªØšØ±Ù ÙÙÙØ¶Ù
+Ù Ø¯Ø§Ø®Ù Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø© Ø§ÙØšØ±ÙØ¯ÙØ©  ÙÙØ³Ø§ÙÙÙ
+ ÙÙ Ø§ÙÙÙØ§ØŽ .ÙÙØ§ØŽØªØ±Ø§Ù Ø ØªÙØ¬Ù Ø§ÙÙ .<a
+-href="https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone
+users">https://list.scms.waikato.ac.nz/mailman/listinfo/greenstone-users</a>.
+ÙØ§Ø±Ø³Ø§Ù Ø±Ø³Ø§ÙØ© Ø§ÙÙ Ø§ÙÙØ§ØŠÙ
+Ø© ØØ¹ÙÙÙÙØ§ Ø§ÙÙ Ø§ÙØªØ§ÙÙ <a
+href="mailto:greenstone-users@list.scms.waikato.ac.nz"
+>greenstone-users@list.scms.waikato.ac.nz</a>.
+}  # Updated 1-Apr-2006
+
+# -- Missing translation: _textbugstitle_
+# -- Missing translation: _textreport_
+
+# -- Missing translation: _textgs3title_
+# -- Missing translation: _textgs3_
+
+# -- Missing translation: _textcreditstitle_
+
+# -- Missing translation: _textwhoswho_
+
+_textaboutgslong_ [l=ar] {Ø¹Ù ØšØ±ÙØ§Ù
+Ø¬ Greenstone}  # Updated 3-May-2006
+
+######################################################################
+# 'users' page
+package userslistusers
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textlocu_
+_textuser_ [l=ar] {Ù
+Ø³ØªØ®Ø¯Ù
+}  # Updated 3-May-2006
+# -- Missing translation: _textas_
+# -- Missing translation: _textgroups_
+# -- Missing translation: _textcomment_
+# -- Missing translation: _textadduser_
+# -- Missing translation: _textedituser_
+_textdeleteuser_ [l=ar] {Ø­Ø°Ù}  # Updated 3-May-2006
+
+
+######################################################################
+# 'users' page
+package usersedituser
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+# -- Missing translation: _textedituser_
+# -- Missing translation: _textadduser_
+
+# -- Missing translation: _textaboutusername_
+
+# -- Missing translation: _textaboutpassword_
+
+# -- Missing translation: _textoldpass_
+# -- Missing translation: _textenabled_
+# -- Missing translation: _textdisabled_
+
+# -- Missing translation: _textaboutgroups_
+
+
+######################################################################
+# 'users' page
+package usersdeleteuser
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textdeleteuser_
+# -- Missing translation: _textremwarn_
+
+
+######################################################################
+# 'users' page
+package userschangepasswd
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textchangepw_
+# -- Missing translation: _textoldpw_
+# -- Missing translation: _textnewpw_
+_textretype_ [l=ar] {Ø§Ø¹Ø¯ ÙØªØ§ØšØ© ØšØ§Ø³ÙØ±Ø¯ Ø¬Ø¯ÙØ¯Ø©}  # Updated 1-Apr-2006
+
+
+######################################################################
+# 'users' page
+package userschangepasswdok
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textsuccess_
+
+
+######################################################################
+# 'users' page
+package users
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+_textinvalidusername_ [l=ar] {Ø§Ø³Ù
+ Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+ ØºÙØ± ØµØ­ÙØ­}  # Updated 1-Apr-2006
+# -- Missing translation: _textinvalidpassword_
+# -- Missing translation: _textemptypassword_
+# -- Missing translation: _textuserexists_
+
+# -- Missing translation: _textusernameempty_
+# -- Missing translation: _textpasswordempty_
+# -- Missing translation: _textnewpass1empty_
+# -- Missing translation: _textnewpassmismatch_
+# -- Missing translation: _textnewinvalidpassword_
+_textfailed_ [l=ar] {Ø¥Ù
+Ø§ Ø§Ø³Ù
+ Ø§ÙÙ
+Ø³ØªØ®Ø¯Ù
+ Ø£Ù ÙÙÙ
+Ø© Ø§ÙÙ
+Ø±ÙØ± ÙØ§Ù ØºÙØ± ØµØ­ÙØ­.}  # Updated 3-May-2006
+
+
+######################################################################
+# 'status' pages
+package status
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+
+# -- Missing translation: _textversion_
+# -- Missing translation: _textframebrowser_
+# -- Missing translation: _textusermanage_
+# -- Missing translation: _textlistusers_
+# -- Missing translation: _textaddusers_
+# -- Missing translation: _textchangepasswd_
+# -- Missing translation: _textinfo_
+# -- Missing translation: _textgeneral_
+# -- Missing translation: _textarguments_
+_textactions_ [l=ar] {Ø§ÙØ£ÙØ¹Ø§Ù}  # Updated 7-May-2006
+# -- Missing translation: _textbrowsers_
+_textprotocols_ [l=ar] {ØšØ±ÙØªÙÙÙÙØ§Øª}  # Updated 3-May-2006
+# -- Missing translation: _textconfigfiles_
+# -- Missing translation: _textlogs_
+# -- Missing translation: _textusagelog_
+# -- Missing translation: _textinitlog_
+# -- Missing translation: _texterrorlog_
+# -- Missing translation: _textadminhome_
+# -- Missing translation: _textreturnhome_
+# -- Missing translation: _titlewelcome_
+# -- Missing translation: _textmaas_
+# -- Missing translation: _textvol_
+# -- Missing translation: _textcmuc_
+# -- Missing translation: _textati_
+
+# -- Missing translation: _texttsaa_
+
+# -- Missing translation: _textcolstat_
+
+_textcwoa_ [l=ar] {Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª Ø³ØªØžÙØ± ÙÙØ· Ø§Ø°Ø§ ØšÙÙØªÙÙ
+ Ù "ÙØ¹Ù
+ÙÙ" Ø§Ø°Ø§ ÙÙ
+ build.cfg
+(Ø§ÙÙ
+ÙÙØ§Øª Ø§ÙÙ
+ÙØ¬ÙØ¯Ø© Ø ÙÙ Ù
+ÙØ±ÙØ¡Ø© Ø ØªØ­ØªÙÙ Ø¹ÙÙ Ø­ÙÙ ØªØ§Ø±ÙØ® ØšÙÙØ© Ø³ÙÙÙ
+Ø©)
+Ø¹ÙÙ Ø³ØšÙÙ Ø§ÙÙ
+Ø«Ø§Ù > 0 ÙÙ
+Ø¬ÙØ¯  ÙÙØ±Ø³ Ø§ÙÙ
+Ø¬Ù
+ÙØ¹Ø§Øª  ( Ø¹ÙÙ Ø³ØšÙÙ Ø§ÙÙ
+Ø«Ø§Ù ÙÙØ³ Ù
+Ø¬ÙØ¯ Ø§ÙØšÙÙØ©)
+}  # Updated 1-Apr-2006
+
+# -- Missing translation: _textcafi_
+# -- Missing translation: _textcctv_
+_textsubc_ [l=ar] {Ø³ÙÙ
+ Ø§ÙØªØºÙÙØ±Ø§Øª}  # Updated 1-Apr-2006
+# -- Missing translation: _texteom_
+# -- Missing translation: _textftum_
+# -- Missing translation: _textmus_
+
+
+######################################################################
+# 'bsummary' pages
+package bsummary
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+
+# -- Missing translation: _textbsummary_
+# -- Missing translation: _textflog_
+
+
+############################################################################
+#
+# This stuff is only used by the usability (SEND FEEDBACK) stuff
+#
+############################################################################
+package Global
+
+# old cusab button
+# -- Missing translation: _linktextusab_
+
+# -- Missing translation: _greenstoneusabilitytext_
+
+# -- Missing translation: _textwhy_
+# -- Missing translation: _textextraforform_
+# -- Missing translation: _textprivacybasic_
+# -- Missing translation: _textstillsend_
+
+# -- Missing translation: _texterror_
+# -- Missing translation: _textyes_
+# -- Missing translation: _textno_
+# -- Missing translation: _textclosewindow_
+# -- Missing translation: _textabout_
+# -- Missing translation: _textprivacy_
+# -- Missing translation: _textsend_
+# -- Missing translation: _textdontsend_
+_textoptionally_ [l=ar] {Ø§Ø®ØªÙØ§Ø±Ù}  # Updated 1-Apr-2006
+
+_textunderdev_ [l=ar] {Ù
+Ø¹Ø§ÙÙØ© Ø§ÙØªÙØ§ØµÙÙ Ø³ÙÙ ØªÙÙÙ Ù
+ØªØ§Ø­Ø© ÙÙ Ø§ÙÙØ³Ø®Ø© Ø§ÙÙÙØ§ØŠÙØ©}  # Updated 3-May-2006
+
+# -- Missing translation: _textviewdetails_
+# -- Missing translation: _textmoredetails_
+# -- Missing translation: _texttrackreport_
+# -- Missing translation: _textcharacterise_
+# -- Missing translation: _textseverity_
+ 
+# -- Missing translation: _textbadrender_
+# -- Missing translation: _textcontenterror_
+_textstrangebehaviour_ [l=ar] {Ø³ÙÙÙ ØºØ±ÙØš}  # Updated 1-Apr-2006
+# -- Missing translation: _textunexpected_
+# -- Missing translation: _textfunctionality_
+# -- Missing translation: _textother_
+
+# -- Missing translation: _textcritical_
+# -- Missing translation: _textmajor_
+# -- Missing translation: _textmedium_
+# -- Missing translation: _textminor_
+_texttrivial_ [l=ar] {ÙØ±Ø¹Ù}  # Updated 3-May-2006
+
+# -- Missing translation: _textwhatdoing_
+_textwhatexpected_ [l=ar] {Ù
+Ø§Ø°Ø§ ÙÙØª ØªØªÙÙØ¹ Ø£Ù ÙØ­Ø¯Ø«Ø}  # Updated 3-May-2006
+# -- Missing translation: _textwhathappened_
+
+# -- Missing translation: _cannotfindcgierror_
+
+# -- Missing translation: _textusabbanner_
+
+
+######################################################################
+# GTI text strings
+package gti
+######################################################################
+
+
+#------------------------------------------------------------
+# text macros
+#------------------------------------------------------------
+	
+# -- Missing translation: _textgti_
+
+# -- Missing translation: _textgtierror_
+
+# -- Missing translation: _textgtihome_
+
+# -- Missing translation: _textgtiselecttlc_
+
+# -- Missing translation: _textgtiselecttfk_
+
+# -- Missing translation: _textgticoredm_
+# -- Missing translation: _textgtiauxdm_
+# -- Missing translation: _textgtiglidict_
+_textgtiglihelp_ [l=ar] {Ù
+Ø³Ø§Ø¹Ø¯Ø© GLI}  # Updated 1-Apr-2006
+# -- Missing translation: _textgtiperlmodules_
+_textgtitutorials_ [l=ar] {ØªØ¯Ø±ÙØšØ§Øª}  # Updated 7-May-2006
+_textgtigreenorg_ [l=ar] {Greenstone.org
+Ø¬Ø±ÙÙ Ø³ØªÙÙ .Ù
+ÙØžÙ
+Ø©}  # Updated 1-Apr-2006
+
+# -- Missing translation: _textgtienter_
+
+# -- Missing translation: _textgticorrectexistingtranslations_
+# -- Missing translation: _textgtidownloadtargetfile_
+# -- Missing translation: _textgtiviewtargetfileinaction_
+
+# -- Missing translation: _textgtinumchunksmatchingquery_
+
+# -- Missing translation: _textgtinumchunkstranslated_
+# -- Missing translation: _textgtinumchunksrequiringupdating_
+# -- Missing translation: _textgtinumchunksrequiringtranslation_
+
+# -- Missing translation: _textgtienterquery_
+_textgtifind_ [l=ar] {FIND}  # Updated 2-Apr-2006
+
+# -- Missing translation: _textgtitranslatingchunk_
+# -- Missing translation: _textgtiupdatingchunk_
+# -- Missing translation: _textgtisubmit_
+
+# -- Missing translation: _textgtilastupdated_
+
+# -- Missing translation: _textgtitranslationfilecomplete_
+
+
+############
+# gli page
+############
+package gli
+
+# -- Missing translation: _textgli_
+# -- Missing translation: _textglilong_
+# -- Missing translation: _textglihelp_