Index: trunk/gli/classes/dictionary.properties
===================================================================
--- trunk/gli/classes/dictionary.properties	(revision 11935)
+++ trunk/gli/classes/dictionary.properties	(revision 11939)
@@ -784,4 +784,6 @@
 NewCollectionPrompt.Collection_Name:Collection folder:
 #NewCollectionPrompt.Collection_Name_Tooltip:Short collection name, used internally (must be 8 characters or less)
+NewCollectionPrompt.Collection_Scope_Personal:This is a personal collection
+NewCollectionPrompt.Collection_Scope_Shared:This is not a personal collection
 NewCollectionPrompt.Error:Error in new collection.
 NewCollectionPrompt.Instructions:To create a new collection fill out the fields below.
Index: trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 11935)
+++ trunk/gli/src/org/greenstone/gatherer/gui/NewCollectionDetailsPrompt.java	(revision 11939)
@@ -38,4 +38,5 @@
 import org.greenstone.gatherer.Gatherer;
 import org.greenstone.gatherer.collection.BasicCollectionConfiguration;
+import org.greenstone.gatherer.remote.RemoteGreenstoneServer;
 import org.greenstone.gatherer.util.StaticStrings;
 import org.greenstone.gatherer.util.Utility;
@@ -72,4 +73,5 @@
     private JComboBox base_collection;
     private JDialog self;
+    private JRadioButton personal_collection_button = null;
     private JTextArea description;
     private JTextField title;
@@ -148,4 +150,18 @@
 	Dictionary.setTooltip(base_collection, "NewCollectionPrompt.Base_Collection_Tooltip");
 
+	JPanel collection_scope_pane = new JPanel();
+	personal_collection_button = new JRadioButton();
+	personal_collection_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
+	personal_collection_button.setOpaque(false);
+	Dictionary.setText(personal_collection_button, "NewCollectionPrompt.Collection_Scope_Personal");
+	JRadioButton shared_collection_button = new JRadioButton();
+	shared_collection_button.setBackground(Configuration.getColor("coloring.collection_tree_background", false));
+	shared_collection_button.setOpaque(false);
+	Dictionary.setText(shared_collection_button, "NewCollectionPrompt.Collection_Scope_Shared");
+	ButtonGroup collection_scope_group = new ButtonGroup();
+	collection_scope_group.add(personal_collection_button);
+	collection_scope_group.add(shared_collection_button);
+	personal_collection_button.setSelected(true);
+
 	JPanel button_pane = new JPanel();
 	create_button = new GLIButton();
@@ -177,4 +193,9 @@
 	base_collection_pane.add(base_collection, BorderLayout.CENTER);
 
+	collection_scope_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
+	collection_scope_pane.setLayout(new GridLayout(1,2));
+	collection_scope_pane.add(personal_collection_button);
+	collection_scope_pane.add(shared_collection_button);
+
 	center_pane.setBorder(BorderFactory.createEmptyBorder(5,0,5,0));
 	center_pane.setLayout(new BorderLayout());
@@ -182,6 +203,12 @@
 
 	bottom_pane.setLayout(new BorderLayout());
-	bottom_pane.add(base_collection_pane, BorderLayout.CENTER);
-	bottom_pane.add(button_pane, BorderLayout.SOUTH);
+	bottom_pane.add(base_collection_pane, BorderLayout.NORTH);
+	if (Gatherer.isGsdlRemote) {
+	    bottom_pane.add(collection_scope_pane, BorderLayout.CENTER);
+	    bottom_pane.add(button_pane, BorderLayout.SOUTH);
+	}
+	else {
+	    bottom_pane.add(button_pane, BorderLayout.CENTER);
+	}
 
 	button_pane.setBorder(BorderFactory.createEmptyBorder(5,0,0,0));
@@ -234,4 +261,9 @@
 	}
 
+	// Remote collections that aren't shared have the user's username prefixed to the collection name
+	if (Gatherer.isGsdlRemote && personal_collection_button.isSelected()) {
+	    name_buffer = new StringBuffer(RemoteGreenstoneServer.getUsername() + "-" + name_buffer.toString());
+	}
+
 	// We need to ensure the filename is unique
 	int counter = 0;
@@ -249,6 +281,6 @@
 		new_name_buffer.append(suffix);
 	    }
-	    
-	}
+	}
+
 	// All done
 	return new_name_buffer.toString();